/* postler-accounts.c generated by valac 0.15.2, the Vala compiler
 * generated from postler-accounts.vala, do not modify */

/*
 Copyright (C) 2011 Christian Dywan <christian@twotoasts.de>

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 See the file COPYING for the full license text.
*/

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <gtk/gtk.h>
#include <glib/gi18n-lib.h>
#include <config.h>
#include <glib/gstdio.h>
#include <sys/stat.h>


#define POSTLER_TYPE_ACCOUNT_TYPE (postler_account_type_get_type ())

#define POSTLER_TYPE_FOLDER_TYPE (postler_folder_type_get_type ())

#define POSTLER_TYPE_MAIL_FOLDER (postler_mail_folder_get_type ())
typedef struct _PostlerMailFolder PostlerMailFolder;
#define _g_free0(var) (var = (g_free (var), NULL))

#define POSTLER_TYPE_ACCOUNT_INFO (postler_account_info_get_type ())
#define POSTLER_ACCOUNT_INFO(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), POSTLER_TYPE_ACCOUNT_INFO, PostlerAccountInfo))
#define POSTLER_ACCOUNT_INFO_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), POSTLER_TYPE_ACCOUNT_INFO, PostlerAccountInfoClass))
#define POSTLER_IS_ACCOUNT_INFO(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), POSTLER_TYPE_ACCOUNT_INFO))
#define POSTLER_IS_ACCOUNT_INFO_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), POSTLER_TYPE_ACCOUNT_INFO))
#define POSTLER_ACCOUNT_INFO_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), POSTLER_TYPE_ACCOUNT_INFO, PostlerAccountInfoClass))

typedef struct _PostlerAccountInfo PostlerAccountInfo;
typedef struct _PostlerAccountInfoClass PostlerAccountInfoClass;
typedef struct _PostlerAccountInfoPrivate PostlerAccountInfoPrivate;
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))

#define POSTLER_TYPE_ACCOUNTS (postler_accounts_get_type ())
#define POSTLER_ACCOUNTS(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), POSTLER_TYPE_ACCOUNTS, PostlerAccounts))
#define POSTLER_ACCOUNTS_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), POSTLER_TYPE_ACCOUNTS, PostlerAccountsClass))
#define POSTLER_IS_ACCOUNTS(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), POSTLER_TYPE_ACCOUNTS))
#define POSTLER_IS_ACCOUNTS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), POSTLER_TYPE_ACCOUNTS))
#define POSTLER_ACCOUNTS_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), POSTLER_TYPE_ACCOUNTS, PostlerAccountsClass))

typedef struct _PostlerAccounts PostlerAccounts;
typedef struct _PostlerAccountsClass PostlerAccountsClass;
typedef struct _PostlerAccountsPrivate PostlerAccountsPrivate;
#define _g_key_file_free0(var) ((var == NULL) ? NULL : (var = (g_key_file_free (var), NULL)))
#define __g_list_free__g_object_unref0_0(var) ((var == NULL) ? NULL : (var = (_g_list_free__g_object_unref0_ (var), NULL)))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_dir_close0(var) ((var == NULL) ? NULL : (var = (g_dir_close (var), NULL)))

typedef enum  {
	POSTLER_ACCOUNT_TYPE_MAILDIR,
	POSTLER_ACCOUNT_TYPE_IMAP,
	POSTLER_ACCOUNT_TYPE_SEARCH
} PostlerAccountType;

typedef enum  {
	POSTLER_FOLDER_TYPE_INBOX,
	POSTLER_FOLDER_TYPE_SENT,
	POSTLER_FOLDER_TYPE_DRAFTS,
	POSTLER_FOLDER_TYPE_QUEUE,
	POSTLER_FOLDER_TYPE_TRASH,
	POSTLER_FOLDER_TYPE_ARCHIVE,
	POSTLER_FOLDER_TYPE_JUNK,
	POSTLER_FOLDER_TYPE_GENERIC,
	POSTLER_FOLDER_TYPE_MAX
} PostlerFolderType;

struct _PostlerMailFolder {
	gchar* role;
	gchar* stock_id;
	gchar* label;
	gchar** localized;
	gint localized_length1;
	gint n_localized;
	PostlerFolderType type;
	gint i_type;
};

struct _PostlerAccountInfo {
	GObject parent_instance;
	PostlerAccountInfoPrivate * priv;
	gchar* name;
	gchar* display_name;
	PostlerAccountType type;
	gchar* realname;
	gchar* address;
	gchar* receive;
	gchar* send;
	gint send_port;
	gchar* username;
	gchar* password;
	gchar* prefix;
	gchar* path;
	gchar* certificate;
	gboolean unverified;
	gchar* reply;
	gchar* organization;
	gchar* signature;
	gchar* hide;
	gchar** folders;
	gint folders_length1;
};

struct _PostlerAccountInfoClass {
	GObjectClass parent_class;
};

typedef void (*PostlerAccountInfoMailFolderCallback) (gint type, PostlerMailFolder* folder, void* user_data);
struct _PostlerAccounts {
	GObject parent_instance;
	PostlerAccountsPrivate * priv;
};

struct _PostlerAccountsClass {
	GObjectClass parent_class;
	void (*add_info) (PostlerAccounts* self, PostlerAccountInfo* info);
	void (*remove_info) (PostlerAccounts* self, PostlerAccountInfo* info);
};

struct _PostlerAccountsPrivate {
	gchar* config_path;
	gchar* account_file;
	gchar* data_path;
	gchar* certificate_file;
	GKeyFile* keyfile;
	GList* infos;
};


static gpointer postler_account_info_parent_class = NULL;
static gpointer postler_accounts_parent_class = NULL;

GType postler_account_type_get_type (void) G_GNUC_CONST;
GType postler_folder_type_get_type (void) G_GNUC_CONST;
gchar* postler_folder_type_get_stock_id (PostlerFolderType self);
GType postler_mail_folder_get_type (void) G_GNUC_CONST;
PostlerMailFolder* postler_mail_folder_dup (const PostlerMailFolder* self);
void postler_mail_folder_free (PostlerMailFolder* self);
void postler_mail_folder_copy (const PostlerMailFolder* self, PostlerMailFolder* dest);
void postler_mail_folder_destroy (PostlerMailFolder* self);
#define POSTLER_STOCK_INBOX "mail-inbox"
#define POSTLER_STOCK_SENT_MAIL "mail-sent"
#define POSTLER_STOCK_OUTBOX "mail-outbox"
#define POSTLER_STOCK_USER_TRASH "user-trash"
#define POSTLER_STOCK_ARCHIVE "gnome-mime-application-x-archive"
gchar* postler_folder_type_get_label (PostlerFolderType self);
static gchar** _vala_array_dup1 (gchar** self, int length);
#define POSTLER_hide_folder_default "Apple Mail To Do"
GType postler_account_info_get_type (void) G_GNUC_CONST;
enum  {
	POSTLER_ACCOUNT_INFO_DUMMY_PROPERTY
};
const gchar* postler_account_info_get_folder (PostlerAccountInfo* self, PostlerFolderType type);
gboolean postler_account_info_can_delete (PostlerAccountInfo* self);
void postler_account_info_set_folder (PostlerAccountInfo* self, PostlerFolderType type, const gchar* folder);
void postler_account_info_get_localized_folder (PostlerAccountInfo* self, const gchar* folder_name, PostlerMailFolder* result);
static gboolean _vala_string_array_contains (gchar** stack, int stack_length, gchar* needle);
void postler_account_info_verify_folders (PostlerAccountInfo* self, PostlerAccountInfoMailFolderCallback callback, void* callback_target);
PostlerAccountInfo* postler_account_info_new (void);
PostlerAccountInfo* postler_account_info_construct (GType object_type);
static void postler_account_info_finalize (GObject* obj);
GType postler_accounts_get_type (void) G_GNUC_CONST;
#define POSTLER_ACCOUNTS_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), POSTLER_TYPE_ACCOUNTS, PostlerAccountsPrivate))
enum  {
	POSTLER_ACCOUNTS_DUMMY_PROPERTY
};
static void _g_object_unref0_ (gpointer var);
static void _g_list_free__g_object_unref0_ (GList* self);
PostlerAccounts* postler_accounts_new (void);
PostlerAccounts* postler_accounts_construct (GType object_type);
static void postler_accounts_reload (PostlerAccounts* self);
static void postler_accounts_update_display_names (PostlerAccounts* self);
static void postler_accounts_write_keyfile (PostlerAccounts* self, GError** error);
void postler_accounts_update (PostlerAccounts* self);
static gboolean postler_accounts_remove_path (PostlerAccounts* self, const gchar* path, GError** error);
static void postler_accounts_delete_account (PostlerAccounts* self, PostlerAccountInfo* info);
gchar** postler_accounts_get_folders (PostlerAccounts* self, int* result_length1);
static void _vala_array_add1 (gchar*** array, int* length, int* size, gchar* value);
GList* postler_accounts_get_infos (PostlerAccounts* self);
static gchar* postler_accounts_get_tool_configfile (PostlerAccounts* self, const gchar* send, PostlerAccountInfo* info, GError** error);
static gchar* postler_accounts_get_tool_configuration (PostlerAccounts* self, const gchar* send, PostlerAccountInfo* info, GError** error);
gchar* postler_accounts_get_receive_command (PostlerAccounts* self, PostlerAccountInfo* info, GError** error);
gchar* postler_accounts_get_fetch_command (PostlerAccounts* self, PostlerAccountInfo* info, GError** error);
gchar* postler_accounts_get_send_command (PostlerAccounts* self, PostlerAccountInfo* info, const gchar* send, GError** error);
static void postler_accounts_real_add_info (PostlerAccounts* self, PostlerAccountInfo* info);
static void postler_accounts_real_remove_info (PostlerAccounts* self, PostlerAccountInfo* info);
static void postler_accounts_finalize (GObject* obj);
static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func);
static gint _vala_array_length (gpointer array);

const gchar* POSTLER_sent_folders[3] = {"[Gmail]~-Sent Mail", "[Gmail]~-Gesendet", "Gesendet"};
const gchar* POSTLER_drafts_folders[3] = {"[Gmail]~-Drafts", "[Gmail]~-Entw&APw-rfe", "Entwurf"};
const gchar* POSTLER_queue_folders[1] = {"Postausgang"};
const gchar* POSTLER_trash_folders[3] = {"[Gmail]~-Trash", "[Gmail]~-Papierkorb", "Papierkorb"};
const gchar* POSTLER_archive_folders[2] = {"[Gmail]~-All Mail", "[Gmail]~-Alle Nachrichten"};
const gchar* POSTLER_junk_folders[1] = {"[Gmail]~-Spam"};
const PostlerMailFolder POSTLER_localized_folders[8] = {{"INBOX", POSTLER_STOCK_INBOX, "Inbox", NULL, 0, 0, POSTLER_FOLDER_TYPE_INBOX, 0}, {"Sent", POSTLER_STOCK_SENT_MAIL, "Sent", POSTLER_sent_folders, G_N_ELEMENTS (POSTLER_sent_folders), G_N_ELEMENTS (POSTLER_sent_folders), POSTLER_FOLDER_TYPE_SENT, 1}, {"Drafts", NULL, "Drafts", POSTLER_drafts_folders, G_N_ELEMENTS (POSTLER_drafts_folders), G_N_ELEMENTS (POSTLER_drafts_folders), POSTLER_FOLDER_TYPE_DRAFTS, 2}, {"Queue", POSTLER_STOCK_OUTBOX, "Outbox", POSTLER_queue_folders, G_N_ELEMENTS (POSTLER_queue_folders), G_N_ELEMENTS (POSTLER_queue_folders), POSTLER_FOLDER_TYPE_QUEUE, 3}, {"Trash", POSTLER_STOCK_USER_TRASH, "Trash", POSTLER_trash_folders, G_N_ELEMENTS (POSTLER_trash_folders), G_N_ELEMENTS (POSTLER_trash_folders), POSTLER_FOLDER_TYPE_TRASH, 4}, {"Archive", POSTLER_STOCK_ARCHIVE, "Archive", POSTLER_archive_folders, G_N_ELEMENTS (POSTLER_archive_folders), G_N_ELEMENTS (POSTLER_archive_folders), POSTLER_FOLDER_TYPE_ARCHIVE, 5}, {NULL, NULL, "Junk", POSTLER_junk_folders, G_N_ELEMENTS (POSTLER_junk_folders), G_N_ELEMENTS (POSTLER_junk_folders), POSTLER_FOLDER_TYPE_JUNK, 6}, {NULL, GTK_STOCK_DIRECTORY, NULL, NULL, 0, 0, POSTLER_FOLDER_TYPE_GENERIC, 7}};
static const gchar* POSTLER_ACCOUNTS_root_certificate_files[4] = {"/etc/pki/tls/certs/ca-bundle.crt", "/etc/ssl/certs/ca-certificates.crt", "/etc/ssl/certs/ca-bundle.crt", "/usr/local/share/certs/ca-root-nss.crt"};

GType postler_account_type_get_type (void) {
	static volatile gsize postler_account_type_type_id__volatile = 0;
	if (g_once_init_enter (&postler_account_type_type_id__volatile)) {
		static const GEnumValue values[] = {{POSTLER_ACCOUNT_TYPE_MAILDIR, "POSTLER_ACCOUNT_TYPE_MAILDIR", "maildir"}, {POSTLER_ACCOUNT_TYPE_IMAP, "POSTLER_ACCOUNT_TYPE_IMAP", "imap"}, {POSTLER_ACCOUNT_TYPE_SEARCH, "POSTLER_ACCOUNT_TYPE_SEARCH", "search"}, {0, NULL, NULL}};
		GType postler_account_type_type_id;
		postler_account_type_type_id = g_enum_register_static ("PostlerAccountType", values);
		g_once_init_leave (&postler_account_type_type_id__volatile, postler_account_type_type_id);
	}
	return postler_account_type_type_id__volatile;
}


gchar* postler_folder_type_get_stock_id (PostlerFolderType self) {
	gchar* result = NULL;
	PostlerMailFolder _tmp0_;
	const gchar* _tmp1_;
	gchar* _tmp2_;
#line 30 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp0_ = POSTLER_localized_folders[self];
#line 30 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp1_ = _tmp0_.stock_id;
#line 30 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp2_ = g_strdup (_tmp1_);
#line 30 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	result = _tmp2_;
#line 30 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	return result;
#line 241 "postler-accounts.c"
}


gchar* postler_folder_type_get_label (PostlerFolderType self) {
	gchar* result = NULL;
	PostlerMailFolder _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_ = NULL;
	gchar* _tmp3_;
#line 33 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp0_ = POSTLER_localized_folders[self];
#line 33 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp1_ = _tmp0_.label;
#line 33 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp2_ = _ (_tmp1_);
#line 33 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp3_ = g_strdup (_tmp2_);
#line 33 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	result = _tmp3_;
#line 33 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	return result;
#line 263 "postler-accounts.c"
}


GType postler_folder_type_get_type (void) {
	static volatile gsize postler_folder_type_type_id__volatile = 0;
	if (g_once_init_enter (&postler_folder_type_type_id__volatile)) {
		static const GEnumValue values[] = {{POSTLER_FOLDER_TYPE_INBOX, "POSTLER_FOLDER_TYPE_INBOX", "inbox"}, {POSTLER_FOLDER_TYPE_SENT, "POSTLER_FOLDER_TYPE_SENT", "sent"}, {POSTLER_FOLDER_TYPE_DRAFTS, "POSTLER_FOLDER_TYPE_DRAFTS", "drafts"}, {POSTLER_FOLDER_TYPE_QUEUE, "POSTLER_FOLDER_TYPE_QUEUE", "queue"}, {POSTLER_FOLDER_TYPE_TRASH, "POSTLER_FOLDER_TYPE_TRASH", "trash"}, {POSTLER_FOLDER_TYPE_ARCHIVE, "POSTLER_FOLDER_TYPE_ARCHIVE", "archive"}, {POSTLER_FOLDER_TYPE_JUNK, "POSTLER_FOLDER_TYPE_JUNK", "junk"}, {POSTLER_FOLDER_TYPE_GENERIC, "POSTLER_FOLDER_TYPE_GENERIC", "generic"}, {POSTLER_FOLDER_TYPE_MAX, "POSTLER_FOLDER_TYPE_MAX", "max"}, {0, NULL, NULL}};
		GType postler_folder_type_type_id;
		postler_folder_type_type_id = g_enum_register_static ("PostlerFolderType", values);
		g_once_init_leave (&postler_folder_type_type_id__volatile, postler_folder_type_type_id);
	}
	return postler_folder_type_type_id__volatile;
}


static gchar** _vala_array_dup1 (gchar** self, int length) {
	gchar** result;
	int i;
#line 36 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	result = g_new0 (gchar*, length + 1);
#line 36 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	for (i = 0; i < length; i++) {
#line 286 "postler-accounts.c"
		gchar* _tmp0_;
#line 36 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp0_ = g_strdup (self[i]);
#line 36 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		result[i] = _tmp0_;
#line 292 "postler-accounts.c"
	}
#line 36 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	return result;
#line 296 "postler-accounts.c"
}


void postler_mail_folder_copy (const PostlerMailFolder* self, PostlerMailFolder* dest) {
	const gchar* _tmp0_;
	gchar* _tmp1_;
	const gchar* _tmp2_;
	gchar* _tmp3_;
	const gchar* _tmp4_;
	gchar* _tmp5_;
	gchar** _tmp6_;
	gint _tmp6__length1;
	gchar** _tmp7_;
	gint _tmp7__length1;
	gint _tmp8_;
	PostlerFolderType _tmp9_;
	gint _tmp10_;
#line 36 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp0_ = (*self).role;
#line 36 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 36 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_free0 ((*dest).role);
#line 36 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	(*dest).role = _tmp1_;
#line 36 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp2_ = (*self).stock_id;
#line 36 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp3_ = g_strdup (_tmp2_);
#line 36 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_free0 ((*dest).stock_id);
#line 36 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	(*dest).stock_id = _tmp3_;
#line 36 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp4_ = (*self).label;
#line 36 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp5_ = g_strdup (_tmp4_);
#line 36 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_free0 ((*dest).label);
#line 36 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	(*dest).label = _tmp5_;
#line 36 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp6_ = (*self).localized;
#line 36 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp6__length1 = (*self).localized_length1;
#line 36 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp7_ = (_tmp6_ != NULL) ? _vala_array_dup1 (_tmp6_, _tmp6__length1) : ((gpointer) _tmp6_);
#line 36 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp7__length1 = _tmp6__length1;
#line 36 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	(*dest).localized = (_vala_array_free ((*dest).localized, (*dest).localized_length1, (GDestroyNotify) g_free), NULL);
#line 36 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	(*dest).localized = _tmp7_;
#line 36 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	(*dest).localized_length1 = _tmp7__length1;
#line 36 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp8_ = (*self).n_localized;
#line 36 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	(*dest).n_localized = _tmp8_;
#line 36 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp9_ = (*self).type;
#line 36 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	(*dest).type = _tmp9_;
#line 36 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp10_ = (*self).i_type;
#line 36 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	(*dest).i_type = _tmp10_;
#line 364 "postler-accounts.c"
}


void postler_mail_folder_destroy (PostlerMailFolder* self) {
#line 37 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_free0 ((*self).role);
#line 38 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_free0 ((*self).stock_id);
#line 39 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_free0 ((*self).label);
#line 40 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	(*self).localized = (_vala_array_free ((*self).localized, (*self).localized_length1, (GDestroyNotify) g_free), NULL);
#line 377 "postler-accounts.c"
}


PostlerMailFolder* postler_mail_folder_dup (const PostlerMailFolder* self) {
	PostlerMailFolder* dup;
#line 36 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	dup = g_new0 (PostlerMailFolder, 1);
#line 36 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	postler_mail_folder_copy (self, dup);
#line 36 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	return dup;
#line 389 "postler-accounts.c"
}


void postler_mail_folder_free (PostlerMailFolder* self) {
#line 36 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	postler_mail_folder_destroy (self);
#line 36 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	g_free (self);
#line 398 "postler-accounts.c"
}


GType postler_mail_folder_get_type (void) {
	static volatile gsize postler_mail_folder_type_id__volatile = 0;
	if (g_once_init_enter (&postler_mail_folder_type_id__volatile)) {
		GType postler_mail_folder_type_id;
		postler_mail_folder_type_id = g_boxed_type_register_static ("PostlerMailFolder", (GBoxedCopyFunc) postler_mail_folder_dup, (GBoxedFreeFunc) postler_mail_folder_free);
		g_once_init_leave (&postler_mail_folder_type_id__volatile, postler_mail_folder_type_id);
	}
	return postler_mail_folder_type_id__volatile;
}


const gchar* postler_account_info_get_folder (PostlerAccountInfo* self, PostlerFolderType type) {
	const gchar* result = NULL;
	gchar** _tmp0_;
	gint _tmp0__length1;
	PostlerFolderType _tmp1_;
	const gchar* _tmp2_;
#line 104 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 105 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp0_ = self->folders;
#line 105 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp0__length1 = self->folders_length1;
#line 105 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp1_ = type;
#line 105 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp2_ = _tmp0_[_tmp1_];
#line 105 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	result = _tmp2_;
#line 105 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	return result;
#line 433 "postler-accounts.c"
}


gboolean postler_account_info_can_delete (PostlerAccountInfo* self) {
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	PostlerAccountType _tmp1_;
	gboolean _tmp4_;
#line 108 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 109 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp1_ = self->type;
#line 109 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	if (_tmp1_ == POSTLER_ACCOUNT_TYPE_SEARCH) {
#line 109 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp0_ = TRUE;
#line 450 "postler-accounts.c"
	} else {
		gchar** _tmp2_;
		gint _tmp2__length1;
		const gchar* _tmp3_;
#line 109 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp2_ = self->folders;
#line 109 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp2__length1 = self->folders_length1;
#line 109 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp3_ = _tmp2_[POSTLER_FOLDER_TYPE_TRASH];
#line 109 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp0_ = _tmp3_ != NULL;
#line 463 "postler-accounts.c"
	}
#line 109 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp4_ = _tmp0_;
#line 109 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	result = _tmp4_;
#line 109 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	return result;
#line 471 "postler-accounts.c"
}


void postler_account_info_set_folder (PostlerAccountInfo* self, PostlerFolderType type, const gchar* folder) {
	gchar** _tmp0_;
	gint _tmp0__length1;
	PostlerFolderType _tmp1_;
	const gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
#line 112 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	g_return_if_fail (self != NULL);
#line 112 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	g_return_if_fail (folder != NULL);
#line 113 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp0_ = self->folders;
#line 113 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp0__length1 = self->folders_length1;
#line 113 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp1_ = type;
#line 113 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp2_ = folder;
#line 113 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp3_ = g_strdup (_tmp2_);
#line 113 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_free0 (_tmp0_[_tmp1_]);
#line 113 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp0_[_tmp1_] = _tmp3_;
#line 113 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp4_ = _tmp0_[_tmp1_];
#line 502 "postler-accounts.c"
}


static gchar* string_replace (const gchar* self, const gchar* old, const gchar* replacement) {
	gchar* result = NULL;
	GError * _inner_error_ = NULL;
#line 1389 "/usr/share/vala-0.16/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1389 "/usr/share/vala-0.16/vapi/glib-2.0.vapi"
	g_return_val_if_fail (old != NULL, NULL);
#line 1389 "/usr/share/vala-0.16/vapi/glib-2.0.vapi"
	g_return_val_if_fail (replacement != NULL, NULL);
#line 515 "postler-accounts.c"
	{
		const gchar* _tmp0_;
		gchar* _tmp1_ = NULL;
		gchar* _tmp2_;
		GRegex* _tmp3_;
		GRegex* _tmp4_;
		GRegex* regex;
		GRegex* _tmp5_;
		const gchar* _tmp6_;
		gchar* _tmp7_ = NULL;
		gchar* _tmp8_;
#line 1391 "/usr/share/vala-0.16/vapi/glib-2.0.vapi"
		_tmp0_ = old;
#line 1391 "/usr/share/vala-0.16/vapi/glib-2.0.vapi"
		_tmp1_ = g_regex_escape_string (_tmp0_, -1);
#line 1391 "/usr/share/vala-0.16/vapi/glib-2.0.vapi"
		_tmp2_ = _tmp1_;
#line 1391 "/usr/share/vala-0.16/vapi/glib-2.0.vapi"
		_tmp3_ = g_regex_new (_tmp2_, 0, 0, &_inner_error_);
#line 1391 "/usr/share/vala-0.16/vapi/glib-2.0.vapi"
		_tmp4_ = _tmp3_;
#line 1391 "/usr/share/vala-0.16/vapi/glib-2.0.vapi"
		_g_free0 (_tmp2_);
#line 1391 "/usr/share/vala-0.16/vapi/glib-2.0.vapi"
		regex = _tmp4_;
#line 1391 "/usr/share/vala-0.16/vapi/glib-2.0.vapi"
		if (_inner_error_ != NULL) {
#line 1391 "/usr/share/vala-0.16/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 545 "postler-accounts.c"
				goto __catch10_g_regex_error;
			}
#line 1391 "/usr/share/vala-0.16/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1391 "/usr/share/vala-0.16/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1391 "/usr/share/vala-0.16/vapi/glib-2.0.vapi"
			return NULL;
#line 554 "postler-accounts.c"
		}
#line 1392 "/usr/share/vala-0.16/vapi/glib-2.0.vapi"
		_tmp5_ = regex;
#line 1392 "/usr/share/vala-0.16/vapi/glib-2.0.vapi"
		_tmp6_ = replacement;
#line 1392 "/usr/share/vala-0.16/vapi/glib-2.0.vapi"
		_tmp7_ = g_regex_replace_literal (_tmp5_, self, (gssize) (-1), 0, _tmp6_, 0, &_inner_error_);
#line 1392 "/usr/share/vala-0.16/vapi/glib-2.0.vapi"
		_tmp8_ = _tmp7_;
#line 1392 "/usr/share/vala-0.16/vapi/glib-2.0.vapi"
		if (_inner_error_ != NULL) {
#line 1392 "/usr/share/vala-0.16/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1392 "/usr/share/vala-0.16/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 570 "postler-accounts.c"
				goto __catch10_g_regex_error;
			}
#line 1392 "/usr/share/vala-0.16/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1392 "/usr/share/vala-0.16/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1392 "/usr/share/vala-0.16/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1392 "/usr/share/vala-0.16/vapi/glib-2.0.vapi"
			return NULL;
#line 581 "postler-accounts.c"
		}
#line 1392 "/usr/share/vala-0.16/vapi/glib-2.0.vapi"
		result = _tmp8_;
#line 1392 "/usr/share/vala-0.16/vapi/glib-2.0.vapi"
		_g_regex_unref0 (regex);
#line 1392 "/usr/share/vala-0.16/vapi/glib-2.0.vapi"
		return result;
#line 589 "postler-accounts.c"
	}
	goto __finally10;
	__catch10_g_regex_error:
	{
		GError* e = NULL;
#line 1390 "/usr/share/vala-0.16/vapi/glib-2.0.vapi"
		e = _inner_error_;
#line 1390 "/usr/share/vala-0.16/vapi/glib-2.0.vapi"
		_inner_error_ = NULL;
#line 1394 "/usr/share/vala-0.16/vapi/glib-2.0.vapi"
		g_assert_not_reached ();
#line 1390 "/usr/share/vala-0.16/vapi/glib-2.0.vapi"
		_g_error_free0 (e);
#line 603 "postler-accounts.c"
	}
	__finally10:
#line 1390 "/usr/share/vala-0.16/vapi/glib-2.0.vapi"
	if (_inner_error_ != NULL) {
#line 1390 "/usr/share/vala-0.16/vapi/glib-2.0.vapi"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1390 "/usr/share/vala-0.16/vapi/glib-2.0.vapi"
		g_clear_error (&_inner_error_);
#line 1390 "/usr/share/vala-0.16/vapi/glib-2.0.vapi"
		return NULL;
#line 614 "postler-accounts.c"
	}
}


static gboolean _vala_string_array_contains (gchar** stack, int stack_length, gchar* needle) {
	int i;
#line 124 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	for (i = 0; i < stack_length; i++) {
#line 124 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		if (g_strcmp0 (stack[i], needle) == 0) {
#line 124 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			return TRUE;
#line 627 "postler-accounts.c"
		}
	}
#line 124 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	return FALSE;
#line 632 "postler-accounts.c"
}


static gboolean string_contains (const gchar* self, const gchar* needle) {
	gboolean result = FALSE;
	const gchar* _tmp0_;
	gchar* _tmp1_ = NULL;
#line 1385 "/usr/share/vala-0.16/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, FALSE);
#line 1385 "/usr/share/vala-0.16/vapi/glib-2.0.vapi"
	g_return_val_if_fail (needle != NULL, FALSE);
#line 1386 "/usr/share/vala-0.16/vapi/glib-2.0.vapi"
	_tmp0_ = needle;
#line 1386 "/usr/share/vala-0.16/vapi/glib-2.0.vapi"
	_tmp1_ = strstr ((gchar*) self, (gchar*) _tmp0_);
#line 1386 "/usr/share/vala-0.16/vapi/glib-2.0.vapi"
	result = _tmp1_ != NULL;
#line 1386 "/usr/share/vala-0.16/vapi/glib-2.0.vapi"
	return result;
#line 652 "postler-accounts.c"
}


void postler_account_info_get_localized_folder (PostlerAccountInfo* self, const gchar* folder_name, PostlerMailFolder* result) {
	const gchar* _tmp10_;
	gchar* _tmp11_ = NULL;
	gchar* sane_name;
	PostlerMailFolder _tmp51_;
#line 116 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	g_return_if_fail (self != NULL);
#line 116 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	g_return_if_fail (folder_name != NULL);
#line 665 "postler-accounts.c"
	{
		gint type;
#line 117 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		type = 0;
#line 670 "postler-accounts.c"
		{
			gboolean _tmp0_;
#line 117 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp0_ = TRUE;
#line 117 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			while (TRUE) {
#line 677 "postler-accounts.c"
				gboolean _tmp1_;
				gint _tmp3_;
				gchar** _tmp4_;
				gint _tmp4__length1;
				gint _tmp5_;
				const gchar* _tmp6_;
				const gchar* _tmp7_;
#line 117 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp1_ = _tmp0_;
#line 117 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				if (!_tmp1_) {
#line 689 "postler-accounts.c"
					gint _tmp2_;
#line 117 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp2_ = type;
#line 117 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					type = _tmp2_ + 1;
#line 695 "postler-accounts.c"
				}
#line 117 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp0_ = FALSE;
#line 117 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp3_ = type;
#line 117 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				if (!(_tmp3_ < ((gint) POSTLER_FOLDER_TYPE_MAX))) {
#line 117 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					break;
#line 705 "postler-accounts.c"
				}
#line 118 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp4_ = self->folders;
#line 118 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp4__length1 = self->folders_length1;
#line 118 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp5_ = type;
#line 118 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp6_ = _tmp4_[_tmp5_];
#line 118 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp7_ = folder_name;
#line 118 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				if (g_strcmp0 (_tmp6_, _tmp7_) == 0) {
#line 719 "postler-accounts.c"
					gint _tmp8_;
					PostlerMailFolder _tmp9_;
#line 119 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp8_ = type;
#line 119 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp9_ = POSTLER_localized_folders[_tmp8_];
#line 119 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					*result = _tmp9_;
#line 119 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					return;
#line 730 "postler-accounts.c"
				}
			}
		}
	}
#line 120 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp10_ = folder_name;
#line 120 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp11_ = string_replace (_tmp10_, "[Google Mail]", "[Gmail]");
#line 120 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	sane_name = _tmp11_;
#line 741 "postler-accounts.c"
	{
		gint type;
#line 121 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		type = 0;
#line 746 "postler-accounts.c"
		{
			gboolean _tmp12_;
#line 121 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp12_ = TRUE;
#line 121 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			while (TRUE) {
#line 753 "postler-accounts.c"
				gboolean _tmp13_;
				gint _tmp15_;
				gboolean _tmp16_ = FALSE;
				gboolean _tmp17_ = FALSE;
				gchar** _tmp18_;
				gint _tmp18__length1;
				gint _tmp19_;
				const gchar* _tmp20_;
				gboolean _tmp24_;
				gboolean _tmp29_;
#line 121 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp13_ = _tmp12_;
#line 121 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				if (!_tmp13_) {
#line 768 "postler-accounts.c"
					gint _tmp14_;
#line 121 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp14_ = type;
#line 121 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					type = _tmp14_ + 1;
#line 774 "postler-accounts.c"
				}
#line 121 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp12_ = FALSE;
#line 121 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp15_ = type;
#line 121 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				if (!(_tmp15_ < ((gint) POSTLER_FOLDER_TYPE_MAX))) {
#line 121 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					break;
#line 784 "postler-accounts.c"
				}
#line 122 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp18_ = self->folders;
#line 122 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp18__length1 = self->folders_length1;
#line 122 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp19_ = type;
#line 122 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp20_ = _tmp18_[_tmp19_];
#line 122 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				if (_tmp20_ == NULL) {
#line 796 "postler-accounts.c"
					gint _tmp21_;
					PostlerMailFolder _tmp22_;
					gchar** _tmp23_;
					gint _tmp23__length1;
#line 123 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp21_ = type;
#line 123 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp22_ = POSTLER_localized_folders[_tmp21_];
#line 123 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp23_ = _tmp22_.localized;
#line 123 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp23__length1 = _tmp22_.localized_length1;
#line 123 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp17_ = _tmp23_ != NULL;
#line 811 "postler-accounts.c"
				} else {
#line 122 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp17_ = FALSE;
#line 815 "postler-accounts.c"
				}
#line 122 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp24_ = _tmp17_;
#line 122 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				if (_tmp24_) {
#line 821 "postler-accounts.c"
					const gchar* _tmp25_;
					gint _tmp26_;
					PostlerMailFolder _tmp27_;
					gchar** _tmp28_;
					gint _tmp28__length1;
#line 124 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp25_ = sane_name;
#line 124 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp26_ = type;
#line 124 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp27_ = POSTLER_localized_folders[_tmp26_];
#line 124 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp28_ = _tmp27_.localized;
#line 124 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp28__length1 = _tmp27_.localized_length1;
#line 124 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp16_ = _vala_string_array_contains (_tmp28_, _tmp28__length1, _tmp25_);
#line 839 "postler-accounts.c"
				} else {
#line 122 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp16_ = FALSE;
#line 843 "postler-accounts.c"
				}
#line 122 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp29_ = _tmp16_;
#line 122 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				if (_tmp29_) {
#line 849 "postler-accounts.c"
					gchar** _tmp30_;
					gint _tmp30__length1;
					gint _tmp31_;
					const gchar* _tmp32_;
					gchar* _tmp33_;
					gchar* _tmp34_;
					gint _tmp35_;
					PostlerMailFolder _tmp36_;
					const gchar* _tmp37_;
					const gchar* role;
					gboolean _tmp38_ = FALSE;
					const gchar* _tmp39_;
					gboolean _tmp43_;
					gint _tmp49_;
					PostlerMailFolder _tmp50_;
#line 125 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp30_ = self->folders;
#line 125 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp30__length1 = self->folders_length1;
#line 125 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp31_ = type;
#line 125 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp32_ = folder_name;
#line 125 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp33_ = g_strdup (_tmp32_);
#line 125 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_g_free0 (_tmp30_[_tmp31_]);
#line 125 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp30_[_tmp31_] = _tmp33_;
#line 125 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp34_ = _tmp30_[_tmp31_];
#line 126 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp35_ = type;
#line 126 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp36_ = POSTLER_localized_folders[_tmp35_];
#line 126 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp37_ = _tmp36_.role;
#line 126 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					role = _tmp37_;
#line 127 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp39_ = role;
#line 127 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					if (_tmp39_ != NULL) {
#line 893 "postler-accounts.c"
						const gchar* _tmp40_;
						const gchar* _tmp41_;
						gboolean _tmp42_ = FALSE;
#line 127 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp40_ = self->hide;
#line 127 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp41_ = role;
#line 127 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp42_ = string_contains (_tmp40_, _tmp41_);
#line 127 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp38_ = !_tmp42_;
#line 905 "postler-accounts.c"
					} else {
#line 127 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp38_ = FALSE;
#line 909 "postler-accounts.c"
					}
#line 127 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp43_ = _tmp38_;
#line 127 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					if (_tmp43_) {
#line 915 "postler-accounts.c"
						const gchar* _tmp44_;
						const gchar* _tmp45_;
						gchar* _tmp46_;
						gchar* _tmp47_;
						gchar* _tmp48_;
#line 128 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp44_ = self->hide;
#line 128 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp45_ = role;
#line 128 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp46_ = g_strconcat (",", _tmp45_, NULL);
#line 128 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp47_ = _tmp46_;
#line 128 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp48_ = g_strconcat (_tmp44_, _tmp47_, NULL);
#line 128 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_g_free0 (self->hide);
#line 128 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						self->hide = _tmp48_;
#line 128 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_g_free0 (_tmp47_);
#line 937 "postler-accounts.c"
					}
#line 129 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp49_ = type;
#line 129 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp50_ = POSTLER_localized_folders[_tmp49_];
#line 129 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					*result = _tmp50_;
#line 129 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_g_free0 (sane_name);
#line 129 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					return;
#line 949 "postler-accounts.c"
				}
			}
		}
	}
#line 132 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp51_ = POSTLER_localized_folders[POSTLER_FOLDER_TYPE_GENERIC];
#line 132 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	*result = _tmp51_;
#line 132 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_free0 (sane_name);
#line 132 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	return;
#line 962 "postler-accounts.c"
}


void postler_account_info_verify_folders (PostlerAccountInfo* self, PostlerAccountInfoMailFolderCallback callback, void* callback_target) {
#line 136 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	g_return_if_fail (self != NULL);
#line 969 "postler-accounts.c"
	{
		gint type;
#line 137 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		type = 0;
#line 974 "postler-accounts.c"
		{
			gboolean _tmp0_;
#line 137 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp0_ = TRUE;
#line 137 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			while (TRUE) {
#line 981 "postler-accounts.c"
				gboolean _tmp1_;
				gint _tmp3_;
				gboolean _tmp4_ = FALSE;
				gchar** _tmp5_;
				gint _tmp5__length1;
				gint _tmp6_;
				const gchar* _tmp7_;
				gboolean _tmp11_;
#line 137 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp1_ = _tmp0_;
#line 137 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				if (!_tmp1_) {
#line 994 "postler-accounts.c"
					gint _tmp2_;
#line 137 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp2_ = type;
#line 137 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					type = _tmp2_ + 1;
#line 1000 "postler-accounts.c"
				}
#line 137 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp0_ = FALSE;
#line 137 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp3_ = type;
#line 137 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				if (!(_tmp3_ < ((gint) POSTLER_FOLDER_TYPE_MAX))) {
#line 137 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					break;
#line 1010 "postler-accounts.c"
				}
#line 138 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp5_ = self->folders;
#line 138 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp5__length1 = self->folders_length1;
#line 138 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp6_ = type;
#line 138 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp7_ = _tmp5_[_tmp6_];
#line 138 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				if (_tmp7_ == NULL) {
#line 1022 "postler-accounts.c"
					gint _tmp8_;
					PostlerMailFolder _tmp9_;
					const gchar* _tmp10_;
#line 138 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp8_ = type;
#line 138 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp9_ = POSTLER_localized_folders[_tmp8_];
#line 138 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp10_ = _tmp9_.role;
#line 138 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp4_ = _tmp10_ != NULL;
#line 1034 "postler-accounts.c"
				} else {
#line 138 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp4_ = FALSE;
#line 1038 "postler-accounts.c"
				}
#line 138 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp11_ = _tmp4_;
#line 138 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				if (_tmp11_) {
#line 1044 "postler-accounts.c"
					gint _tmp12_;
#line 139 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp12_ = type;
#line 139 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					if (_tmp12_ != ((gint) POSTLER_FOLDER_TYPE_GENERIC)) {
#line 1050 "postler-accounts.c"
						PostlerAccountInfoMailFolderCallback _tmp13_;
						void* _tmp13__target;
						gint _tmp14_;
						gint _tmp15_;
						PostlerMailFolder _tmp16_;
#line 140 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp13_ = callback;
#line 140 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp13__target = callback_target;
#line 140 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp14_ = type;
#line 140 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp15_ = type;
#line 140 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp16_ = POSTLER_localized_folders[_tmp15_];
#line 140 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp13_ (_tmp14_, &_tmp16_, _tmp13__target);
#line 1068 "postler-accounts.c"
					}
				}
			}
		}
	}
}


PostlerAccountInfo* postler_account_info_construct (GType object_type) {
	PostlerAccountInfo * self = NULL;
#line 83 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	self = (PostlerAccountInfo*) g_object_new (object_type, NULL);
#line 83 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	return self;
#line 1083 "postler-accounts.c"
}


PostlerAccountInfo* postler_account_info_new (void) {
#line 83 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	return postler_account_info_construct (POSTLER_TYPE_ACCOUNT_INFO);
#line 1090 "postler-accounts.c"
}


static void postler_account_info_class_init (PostlerAccountInfoClass * klass) {
#line 83 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	postler_account_info_parent_class = g_type_class_peek_parent (klass);
#line 83 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	G_OBJECT_CLASS (klass)->finalize = postler_account_info_finalize;
#line 1099 "postler-accounts.c"
}


static void postler_account_info_instance_init (PostlerAccountInfo * self) {
	gchar* _tmp0_;
	gchar** _tmp1_ = NULL;
#line 101 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp0_ = g_strdup (POSTLER_hide_folder_default);
#line 101 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	self->hide = _tmp0_;
#line 102 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp1_ = g_new0 (gchar*, 8 + 1);
#line 102 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp1_[0] = NULL;
#line 102 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp1_[1] = NULL;
#line 102 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp1_[2] = NULL;
#line 102 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp1_[3] = NULL;
#line 102 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp1_[4] = NULL;
#line 102 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp1_[5] = NULL;
#line 102 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp1_[6] = NULL;
#line 102 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp1_[7] = NULL;
#line 102 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	self->folders = _tmp1_;
#line 102 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	self->folders_length1 = 8;
#line 1132 "postler-accounts.c"
}


static void postler_account_info_finalize (GObject* obj) {
	PostlerAccountInfo * self;
#line 83 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	self = POSTLER_ACCOUNT_INFO (obj);
#line 84 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_free0 (self->name);
#line 85 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_free0 (self->display_name);
#line 87 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_free0 (self->realname);
#line 88 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_free0 (self->address);
#line 89 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_free0 (self->receive);
#line 90 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_free0 (self->send);
#line 92 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_free0 (self->username);
#line 93 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_free0 (self->password);
#line 94 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_free0 (self->prefix);
#line 95 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_free0 (self->path);
#line 96 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_free0 (self->certificate);
#line 98 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_free0 (self->reply);
#line 99 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_free0 (self->organization);
#line 100 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_free0 (self->signature);
#line 101 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_free0 (self->hide);
#line 102 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	self->folders = (_vala_array_free (self->folders, self->folders_length1, (GDestroyNotify) g_free), NULL);
#line 83 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	G_OBJECT_CLASS (postler_account_info_parent_class)->finalize (obj);
#line 1174 "postler-accounts.c"
}


GType postler_account_info_get_type (void) {
	static volatile gsize postler_account_info_type_id__volatile = 0;
	if (g_once_init_enter (&postler_account_info_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (PostlerAccountInfoClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) postler_account_info_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (PostlerAccountInfo), 0, (GInstanceInitFunc) postler_account_info_instance_init, NULL };
		GType postler_account_info_type_id;
		postler_account_info_type_id = g_type_register_static (G_TYPE_OBJECT, "PostlerAccountInfo", &g_define_type_info, 0);
		g_once_init_leave (&postler_account_info_type_id__volatile, postler_account_info_type_id);
	}
	return postler_account_info_type_id__volatile;
}


static void _g_object_unref0_ (gpointer var) {
#line 151 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	(var == NULL) ? NULL : (var = (g_object_unref (var), NULL));
#line 1193 "postler-accounts.c"
}


static void _g_list_free__g_object_unref0_ (GList* self) {
#line 151 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	g_list_foreach (self, (GFunc) _g_object_unref0_, NULL);
#line 151 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	g_list_free (self);
#line 1202 "postler-accounts.c"
}


PostlerAccounts* postler_accounts_construct (GType object_type) {
	PostlerAccounts * self = NULL;
	const gchar* _tmp0_ = NULL;
	const gchar* config_dir;
	const gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
	gchar* _tmp5_;
	gchar* _tmp6_;
	const gchar* _tmp7_;
	gchar* _tmp8_;
	const gchar* _tmp9_ = NULL;
	const gchar* data_dir;
	const gchar* _tmp10_;
	gchar* _tmp11_;
	gchar* _tmp12_;
	gchar* _tmp13_;
	gchar* _tmp14_;
	gchar* _tmp15_;
	const gchar* _tmp20_;
#line 160 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	self = (PostlerAccounts*) g_object_new (object_type, NULL);
#line 161 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp0_ = g_get_user_config_dir ();
#line 161 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	config_dir = _tmp0_;
#line 162 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp1_ = config_dir;
#line 162 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp2_ = g_strconcat (_tmp1_, "/", NULL);
#line 162 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp3_ = _tmp2_;
#line 162 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp4_ = g_strconcat (_tmp3_, PACKAGE_NAME, NULL);
#line 162 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp5_ = _tmp4_;
#line 162 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp6_ = g_strconcat (_tmp5_, "/", NULL);
#line 162 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_free0 (self->priv->config_path);
#line 162 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	self->priv->config_path = _tmp6_;
#line 162 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_free0 (_tmp5_);
#line 162 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_free0 (_tmp3_);
#line 163 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp7_ = self->priv->config_path;
#line 163 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp8_ = g_strconcat (_tmp7_, "accountrc", NULL);
#line 163 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_free0 (self->priv->account_file);
#line 163 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	self->priv->account_file = _tmp8_;
#line 165 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp9_ = g_get_user_data_dir ();
#line 165 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	data_dir = _tmp9_;
#line 166 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp10_ = data_dir;
#line 166 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp11_ = g_strconcat (_tmp10_, "/", NULL);
#line 166 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp12_ = _tmp11_;
#line 166 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp13_ = g_strconcat (_tmp12_, PACKAGE_NAME, NULL);
#line 166 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp14_ = _tmp13_;
#line 166 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp15_ = g_strconcat (_tmp14_, "/mail/", NULL);
#line 166 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_free0 (self->priv->data_path);
#line 166 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	self->priv->data_path = _tmp15_;
#line 166 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_free0 (_tmp14_);
#line 166 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_free0 (_tmp12_);
#line 1285 "postler-accounts.c"
	{
		const gchar** file_collection = NULL;
		gint file_collection_length1 = 0;
		gint _file_collection_size_ = 0;
		gint file_it = 0;
#line 168 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		file_collection = POSTLER_ACCOUNTS_root_certificate_files;
#line 168 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		file_collection_length1 = G_N_ELEMENTS (POSTLER_ACCOUNTS_root_certificate_files);
#line 168 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		for (file_it = 0; file_it < G_N_ELEMENTS (POSTLER_ACCOUNTS_root_certificate_files); file_it = file_it + 1) {
#line 1297 "postler-accounts.c"
			const gchar* file = NULL;
#line 168 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			file = file_collection[file_it];
#line 1301 "postler-accounts.c"
			{
				const gchar* _tmp16_;
				gboolean _tmp17_ = FALSE;
#line 169 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp16_ = file;
#line 169 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp17_ = g_file_test (_tmp16_, G_FILE_TEST_EXISTS);
#line 169 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				if (_tmp17_) {
#line 1311 "postler-accounts.c"
					const gchar* _tmp18_;
					gchar* _tmp19_;
#line 170 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp18_ = file;
#line 170 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp19_ = g_strdup (_tmp18_);
#line 170 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_g_free0 (self->priv->certificate_file);
#line 170 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					self->priv->certificate_file = _tmp19_;
#line 1322 "postler-accounts.c"
				}
			}
		}
	}
#line 172 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp20_ = self->priv->certificate_file;
#line 172 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	if (_tmp20_ == NULL) {
#line 1331 "postler-accounts.c"
		const gchar* _tmp21_ = NULL;
#line 173 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp21_ = _ ("Failed to find a root certificate file.");
#line 173 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		g_warning ("postler-accounts.vala:173: %s", _tmp21_);
#line 1337 "postler-accounts.c"
	}
#line 175 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	postler_accounts_reload (self);
#line 160 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	return self;
#line 1343 "postler-accounts.c"
}


PostlerAccounts* postler_accounts_new (void) {
#line 160 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	return postler_accounts_construct (POSTLER_TYPE_ACCOUNTS);
#line 1350 "postler-accounts.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 181 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	return self ? g_object_ref (self) : NULL;
#line 1357 "postler-accounts.c"
}


static void postler_accounts_update_display_names (PostlerAccounts* self) {
	guint num_accounts;
	GList* _tmp0_;
	guint _tmp58_;
#line 178 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	g_return_if_fail (self != NULL);
#line 180 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	num_accounts = (guint) 0;
#line 181 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp0_ = self->priv->infos;
#line 1371 "postler-accounts.c"
	{
		GList* info_collection = NULL;
		GList* info_it = NULL;
#line 181 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		info_collection = _tmp0_;
#line 181 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		for (info_it = info_collection; info_it != NULL; info_it = info_it->next) {
#line 1379 "postler-accounts.c"
			PostlerAccountInfo* _tmp1_;
			PostlerAccountInfo* info = NULL;
#line 181 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp1_ = _g_object_ref0 ((PostlerAccountInfo*) info_it->data);
#line 181 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			info = _tmp1_;
#line 1386 "postler-accounts.c"
			{
				PostlerAccountInfo* _tmp2_;
				PostlerAccountType _tmp3_;
				PostlerAccountInfo* _tmp5_;
				const gchar* _tmp6_;
				gchar* _tmp7_;
				gchar* _tmp8_;
				const gchar* _tmp9_;
				const gchar* _tmp13_;
				const gchar* _tmp14_ = NULL;
				gchar* _tmp15_;
				gchar* domain;
				const gchar* _tmp16_;
				const gchar* _tmp48_;
				gchar* _tmp49_;
				gchar* _tmp50_;
				const gchar* _tmp51_;
				PostlerAccountInfo* _tmp55_;
				const gchar* _tmp56_;
				gchar* _tmp57_;
#line 182 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp2_ = info;
#line 182 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp3_ = _tmp2_->type;
#line 182 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				if (_tmp3_ != POSTLER_ACCOUNT_TYPE_SEARCH) {
#line 1413 "postler-accounts.c"
					guint _tmp4_;
#line 183 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp4_ = num_accounts;
#line 183 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					num_accounts = _tmp4_ + 1;
#line 1419 "postler-accounts.c"
				}
#line 184 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp5_ = info;
#line 184 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp6_ = _tmp5_->address;
#line 184 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp7_ = g_strdup (_tmp6_);
#line 184 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp8_ = _tmp7_;
#line 184 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp9_ = _tmp8_;
#line 184 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				if (_tmp9_ == NULL) {
#line 1433 "postler-accounts.c"
					PostlerAccountInfo* _tmp10_;
					const gchar* _tmp11_;
					gchar* _tmp12_;
#line 184 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp10_ = info;
#line 184 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp11_ = _tmp10_->name;
#line 184 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp12_ = g_strdup (_tmp11_);
#line 184 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_g_free0 (_tmp8_);
#line 184 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp8_ = _tmp12_;
#line 1447 "postler-accounts.c"
				}
#line 184 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp13_ = _tmp8_;
#line 184 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp14_ = g_strrstr (_tmp13_, "@");
#line 184 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp15_ = g_strdup (_tmp14_);
#line 184 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				domain = _tmp15_;
#line 185 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp16_ = domain;
#line 185 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				if (_tmp16_ != NULL) {
#line 1461 "postler-accounts.c"
					GList* _tmp17_;
					const gchar* _tmp35_ = NULL;
					const gchar* _tmp36_;
					const gchar* _tmp39_;
					gchar* _tmp40_;
					const gchar* _tmp41_;
#line 186 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp17_ = self->priv->infos;
#line 1470 "postler-accounts.c"
					{
						GList* account_info_collection = NULL;
						GList* account_info_it = NULL;
#line 186 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						account_info_collection = _tmp17_;
#line 186 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						for (account_info_it = account_info_collection; account_info_it != NULL; account_info_it = account_info_it->next) {
#line 1478 "postler-accounts.c"
							PostlerAccountInfo* _tmp18_;
							PostlerAccountInfo* account_info = NULL;
#line 186 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp18_ = _g_object_ref0 ((PostlerAccountInfo*) account_info_it->data);
#line 186 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							account_info = _tmp18_;
#line 1485 "postler-accounts.c"
							{
								PostlerAccountInfo* _tmp19_;
								const gchar* _tmp20_;
								gchar* _tmp21_;
								gchar* _tmp22_;
								const gchar* _tmp23_;
								const gchar* _tmp27_;
								const gchar* address;
								gboolean _tmp28_ = FALSE;
								PostlerAccountInfo* _tmp29_;
								PostlerAccountInfo* _tmp30_;
								gboolean _tmp34_;
#line 187 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp19_ = account_info;
#line 187 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp20_ = _tmp19_->address;
#line 187 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp21_ = g_strdup (_tmp20_);
#line 187 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp22_ = _tmp21_;
#line 187 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp23_ = _tmp22_;
#line 187 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								if (_tmp23_ == NULL) {
#line 1510 "postler-accounts.c"
									PostlerAccountInfo* _tmp24_;
									const gchar* _tmp25_;
									gchar* _tmp26_;
#line 187 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									_tmp24_ = account_info;
#line 187 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									_tmp25_ = _tmp24_->name;
#line 187 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									_tmp26_ = g_strdup (_tmp25_);
#line 187 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									_g_free0 (_tmp22_);
#line 187 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									_tmp22_ = _tmp26_;
#line 1524 "postler-accounts.c"
								}
#line 187 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp27_ = _tmp22_;
#line 187 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								address = _tmp27_;
#line 188 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp29_ = account_info;
#line 188 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp30_ = info;
#line 188 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								if (_tmp29_ != _tmp30_) {
#line 1536 "postler-accounts.c"
									const gchar* _tmp31_;
									const gchar* _tmp32_;
									gboolean _tmp33_ = FALSE;
#line 188 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									_tmp31_ = address;
#line 188 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									_tmp32_ = domain;
#line 188 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									_tmp33_ = string_contains (_tmp31_, _tmp32_);
#line 188 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									_tmp28_ = _tmp33_;
#line 1548 "postler-accounts.c"
								} else {
#line 188 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									_tmp28_ = FALSE;
#line 1552 "postler-accounts.c"
								}
#line 188 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp34_ = _tmp28_;
#line 188 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								if (_tmp34_) {
#line 189 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									_g_free0 (domain);
#line 189 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									domain = NULL;
#line 190 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									_g_free0 (_tmp22_);
#line 190 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									_g_object_unref0 (account_info);
#line 190 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									break;
#line 1568 "postler-accounts.c"
								}
#line 186 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_free0 (_tmp22_);
#line 186 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_object_unref0 (account_info);
#line 1574 "postler-accounts.c"
							}
						}
					}
#line 193 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp36_ = domain;
#line 193 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					if (_tmp36_ != NULL) {
#line 1582 "postler-accounts.c"
						const gchar* _tmp37_;
						const gchar* _tmp38_ = NULL;
#line 193 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp37_ = domain;
#line 193 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp38_ = g_utf8_next_char (_tmp37_);
#line 193 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp35_ = _tmp38_;
#line 1591 "postler-accounts.c"
					} else {
#line 193 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp35_ = NULL;
#line 1595 "postler-accounts.c"
					}
#line 193 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp39_ = _tmp35_;
#line 193 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp40_ = g_strdup (_tmp39_);
#line 193 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_g_free0 (domain);
#line 193 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					domain = _tmp40_;
#line 194 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp41_ = domain;
#line 194 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					if (_tmp41_ != NULL) {
#line 1609 "postler-accounts.c"
						const gchar* _tmp42_;
						gchar** _tmp43_;
						gchar** _tmp44_ = NULL;
						gchar** _tmp45_;
						gint _tmp45__length1;
						const gchar* _tmp46_;
						gchar* _tmp47_;
#line 195 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp42_ = domain;
#line 195 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp44_ = _tmp43_ = g_strsplit (_tmp42_, ".", 2);
#line 195 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp45_ = _tmp44_;
#line 195 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp45__length1 = _vala_array_length (_tmp43_);
#line 195 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp46_ = _tmp45_[0];
#line 195 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp47_ = g_strdup (_tmp46_);
#line 195 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_g_free0 (domain);
#line 195 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						domain = _tmp47_;
#line 195 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp45_ = (_vala_array_free (_tmp45_, _tmp45__length1, (GDestroyNotify) g_free), NULL);
#line 1635 "postler-accounts.c"
					}
				}
#line 197 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp48_ = domain;
#line 197 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp49_ = g_strdup (_tmp48_);
#line 197 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp50_ = _tmp49_;
#line 197 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp51_ = _tmp50_;
#line 197 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				if (_tmp51_ == NULL) {
#line 1648 "postler-accounts.c"
					PostlerAccountInfo* _tmp52_;
					const gchar* _tmp53_;
					gchar* _tmp54_;
#line 197 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp52_ = info;
#line 197 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp53_ = _tmp52_->name;
#line 197 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp54_ = g_strdup (_tmp53_);
#line 197 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_g_free0 (_tmp50_);
#line 197 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp50_ = _tmp54_;
#line 1662 "postler-accounts.c"
				}
#line 197 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp55_ = info;
#line 197 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp56_ = _tmp50_;
#line 197 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp57_ = g_strdup (_tmp56_);
#line 197 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_g_free0 (_tmp55_->display_name);
#line 197 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp55_->display_name = _tmp57_;
#line 181 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_g_free0 (_tmp50_);
#line 181 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_g_free0 (domain);
#line 181 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_g_free0 (_tmp8_);
#line 181 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_g_object_unref0 (info);
#line 1682 "postler-accounts.c"
			}
		}
	}
#line 199 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp58_ = num_accounts;
#line 199 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	if (_tmp58_ == ((guint) 1)) {
#line 1690 "postler-accounts.c"
		GList* _tmp59_;
#line 200 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp59_ = self->priv->infos;
#line 1694 "postler-accounts.c"
		{
			GList* info_collection = NULL;
			GList* info_it = NULL;
#line 200 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			info_collection = _tmp59_;
#line 200 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			for (info_it = info_collection; info_it != NULL; info_it = info_it->next) {
#line 1702 "postler-accounts.c"
				PostlerAccountInfo* _tmp60_;
				PostlerAccountInfo* info = NULL;
#line 200 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp60_ = _g_object_ref0 ((PostlerAccountInfo*) info_it->data);
#line 200 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				info = _tmp60_;
#line 1709 "postler-accounts.c"
				{
					PostlerAccountInfo* _tmp61_;
					PostlerAccountType _tmp62_;
#line 201 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp61_ = info;
#line 201 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp62_ = _tmp61_->type;
#line 201 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					if (_tmp62_ != POSTLER_ACCOUNT_TYPE_SEARCH) {
#line 1719 "postler-accounts.c"
						PostlerAccountInfo* _tmp63_;
						const gchar* _tmp64_ = NULL;
						gchar* _tmp65_;
#line 202 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp63_ = info;
#line 202 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp64_ = _ ("Inbox");
#line 202 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp65_ = g_strdup (_tmp64_);
#line 202 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_g_free0 (_tmp63_->display_name);
#line 202 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp63_->display_name = _tmp65_;
#line 1733 "postler-accounts.c"
					}
#line 200 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_g_object_unref0 (info);
#line 1737 "postler-accounts.c"
				}
			}
		}
	}
}


static void postler_accounts_write_keyfile (PostlerAccounts* self, GError** error) {
	const gchar* _tmp0_;
	gint _tmp1_ = 0;
	const gchar* _tmp4_;
	GKeyFile* _tmp5_;
	gchar* _tmp6_ = NULL;
	gchar* _tmp7_;
	const gchar* _tmp8_ = NULL;
	const gchar* config_dir;
	const gchar* indicator_dir;
	const gchar* _tmp9_;
	const gchar* _tmp10_;
	gchar* _tmp11_;
	gchar* indicator_path;
	const gchar* _tmp12_;
	gchar* _tmp13_;
	gchar* filename;
	const gchar* _tmp14_;
	gboolean _tmp15_ = FALSE;
	gboolean exists;
	gboolean _tmp16_ = FALSE;
	GList* _tmp17_;
	guint _tmp18_ = 0U;
	gboolean _tmp20_;
	const gchar* _tmp26_;
	gchar* _tmp27_;
	gchar* autostart_path;
	const gchar* _tmp28_;
	gchar* _tmp29_;
	const gchar* _tmp30_;
	gboolean _tmp31_ = FALSE;
	gboolean _tmp32_ = FALSE;
	GList* _tmp33_;
	guint _tmp34_ = 0U;
	gboolean _tmp36_;
	GError * _inner_error_ = NULL;
#line 205 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	g_return_if_fail (self != NULL);
#line 206 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp0_ = self->priv->config_path;
#line 206 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp1_ = g_mkdir_with_parents (_tmp0_, 0700);
#line 206 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	if (_tmp1_ != 0) {
#line 1789 "postler-accounts.c"
		const gchar* _tmp2_ = NULL;
		GError* _tmp3_;
#line 207 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp2_ = _ ("Config folder couldn't be created.");
#line 207 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp3_ = g_error_new_literal (G_FILE_ERROR, G_FILE_ERROR_FAILED, _tmp2_);
#line 207 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_inner_error_ = _tmp3_;
#line 207 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		g_propagate_error (error, _inner_error_);
#line 207 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		return;
#line 1802 "postler-accounts.c"
	}
#line 208 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp4_ = self->priv->account_file;
#line 208 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp5_ = self->priv->keyfile;
#line 208 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp6_ = g_key_file_to_data (_tmp5_, NULL, NULL);
#line 208 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp7_ = _tmp6_;
#line 208 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	g_file_set_contents (_tmp4_, _tmp7_, (gssize) (-1), &_inner_error_);
#line 208 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_free0 (_tmp7_);
#line 208 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	if (_inner_error_ != NULL) {
#line 208 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		g_propagate_error (error, _inner_error_);
#line 208 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		return;
#line 1822 "postler-accounts.c"
	}
#line 210 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp8_ = g_get_user_config_dir ();
#line 210 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	config_dir = _tmp8_;
#line 211 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	indicator_dir = "/indicators/messages/applications";
#line 212 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp9_ = config_dir;
#line 212 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp10_ = indicator_dir;
#line 212 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp11_ = g_strconcat (_tmp9_, _tmp10_, NULL);
#line 212 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	indicator_path = _tmp11_;
#line 213 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp12_ = indicator_path;
#line 213 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp13_ = g_strconcat (_tmp12_, "/postler.desktop", NULL);
#line 213 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	filename = _tmp13_;
#line 214 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp14_ = filename;
#line 214 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp15_ = g_file_test (_tmp14_, G_FILE_TEST_EXISTS);
#line 214 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	exists = _tmp15_;
#line 215 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp17_ = self->priv->infos;
#line 215 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp18_ = g_list_length (_tmp17_);
#line 215 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	if (_tmp18_ != ((guint) 0)) {
#line 1856 "postler-accounts.c"
		gboolean _tmp19_;
#line 215 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp19_ = exists;
#line 215 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp16_ = !_tmp19_;
#line 1862 "postler-accounts.c"
	} else {
#line 215 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp16_ = FALSE;
#line 1866 "postler-accounts.c"
	}
#line 215 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp20_ = _tmp16_;
#line 215 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	if (_tmp20_) {
#line 1872 "postler-accounts.c"
		const gchar* _tmp21_;
		const gchar* _tmp22_;
#line 216 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp21_ = indicator_path;
#line 216 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		g_mkdir_with_parents (_tmp21_, 0700);
#line 217 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp22_ = filename;
#line 217 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		g_file_set_contents (_tmp22_, MDATADIR "/applications/postler.desktop", (gssize) (-1), &_inner_error_);
#line 217 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		if (_inner_error_ != NULL) {
#line 217 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			g_propagate_error (error, _inner_error_);
#line 217 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_g_free0 (filename);
#line 217 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_g_free0 (indicator_path);
#line 217 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			return;
#line 1893 "postler-accounts.c"
		}
	} else {
		GList* _tmp23_;
		guint _tmp24_ = 0U;
#line 220 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp23_ = self->priv->infos;
#line 220 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp24_ = g_list_length (_tmp23_);
#line 220 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		if (_tmp24_ == ((guint) 0)) {
#line 1904 "postler-accounts.c"
			const gchar* _tmp25_;
#line 221 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp25_ = filename;
#line 221 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			g_unlink (_tmp25_);
#line 1910 "postler-accounts.c"
		}
	}
#line 223 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp26_ = config_dir;
#line 223 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp27_ = g_strconcat (_tmp26_, "/autostart", NULL);
#line 223 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	autostart_path = _tmp27_;
#line 224 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp28_ = autostart_path;
#line 224 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp29_ = g_strconcat (_tmp28_, "/postler.desktop", NULL);
#line 224 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_free0 (filename);
#line 224 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	filename = _tmp29_;
#line 225 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp30_ = filename;
#line 225 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp31_ = g_file_test (_tmp30_, G_FILE_TEST_EXISTS);
#line 225 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	exists = _tmp31_;
#line 226 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp33_ = self->priv->infos;
#line 226 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp34_ = g_list_length (_tmp33_);
#line 226 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	if (_tmp34_ != ((guint) 0)) {
#line 1939 "postler-accounts.c"
		gboolean _tmp35_;
#line 226 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp35_ = exists;
#line 226 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp32_ = !_tmp35_;
#line 1945 "postler-accounts.c"
	} else {
#line 226 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp32_ = FALSE;
#line 1949 "postler-accounts.c"
	}
#line 226 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp36_ = _tmp32_;
#line 226 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	if (_tmp36_) {
#line 1955 "postler-accounts.c"
		const gchar* _tmp37_;
		const gchar* _tmp38_;
#line 227 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp37_ = autostart_path;
#line 227 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		g_mkdir_with_parents (_tmp37_, 0700);
#line 228 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp38_ = filename;
#line 228 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		g_file_set_contents (_tmp38_, "[Desktop Entry]\nVersion=1.0\nType=Application\nName=Postler\n" "Exec=postler -m service\nIcon=postler", (gssize) (-1), &_inner_error_);
#line 228 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		if (_inner_error_ != NULL) {
#line 228 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			g_propagate_error (error, _inner_error_);
#line 228 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_g_free0 (autostart_path);
#line 228 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_g_free0 (filename);
#line 228 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_g_free0 (indicator_path);
#line 228 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			return;
#line 1978 "postler-accounts.c"
		}
	} else {
		GList* _tmp39_;
		guint _tmp40_ = 0U;
#line 232 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp39_ = self->priv->infos;
#line 232 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp40_ = g_list_length (_tmp39_);
#line 232 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		if (_tmp40_ == ((guint) 0)) {
#line 1989 "postler-accounts.c"
			const gchar* _tmp41_;
#line 233 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp41_ = filename;
#line 233 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			g_unlink (_tmp41_);
#line 1995 "postler-accounts.c"
		}
	}
#line 235 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	postler_accounts_update_display_names (self);
#line 205 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_free0 (autostart_path);
#line 205 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_free0 (filename);
#line 205 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_free0 (indicator_path);
#line 2006 "postler-accounts.c"
}


void postler_accounts_update (PostlerAccounts* self) {
	GError * _inner_error_ = NULL;
#line 238 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	g_return_if_fail (self != NULL);
#line 2014 "postler-accounts.c"
	{
		GList* _tmp0_;
#line 240 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp0_ = self->priv->infos;
#line 2019 "postler-accounts.c"
		{
			GList* account_info_collection = NULL;
			GList* account_info_it = NULL;
#line 240 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			account_info_collection = _tmp0_;
#line 240 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			for (account_info_it = account_info_collection; account_info_it != NULL; account_info_it = account_info_it->next) {
#line 2027 "postler-accounts.c"
				PostlerAccountInfo* _tmp1_;
				PostlerAccountInfo* account_info = NULL;
#line 240 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp1_ = _g_object_ref0 ((PostlerAccountInfo*) account_info_it->data);
#line 240 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				account_info = _tmp1_;
#line 2034 "postler-accounts.c"
				{
					PostlerAccountInfo* _tmp2_;
					const gchar* _tmp3_;
					gchar* _tmp4_;
					gchar* group;
					const gchar* _tmp5_;
					PostlerAccountInfo* _tmp6_;
					PostlerAccountType _tmp7_;
#line 241 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp2_ = account_info;
#line 241 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp3_ = _tmp2_->name;
#line 241 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp4_ = g_strdup (_tmp3_);
#line 241 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					group = _tmp4_;
#line 242 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp5_ = group;
#line 242 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					g_return_if_fail (_tmp5_ != NULL);
#line 244 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp6_ = account_info;
#line 244 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp7_ = _tmp6_->type;
#line 244 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					if (_tmp7_ == POSTLER_ACCOUNT_TYPE_MAILDIR) {
#line 2061 "postler-accounts.c"
						GKeyFile* _tmp8_;
						const gchar* _tmp9_;
						gboolean _tmp10_ = FALSE;
						PostlerAccountInfo* _tmp11_;
						const gchar* _tmp12_;
						gboolean _tmp17_;
						gboolean _tmp22_ = FALSE;
						PostlerAccountInfo* _tmp23_;
						const gchar* _tmp24_;
						gboolean _tmp27_;
#line 245 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp8_ = self->priv->keyfile;
#line 245 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp9_ = group;
#line 245 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						g_key_file_set_string (_tmp8_, _tmp9_, "type", "maildir");
#line 246 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp11_ = account_info;
#line 246 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp12_ = _tmp11_->path;
#line 246 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						if (_tmp12_ != NULL) {
#line 2084 "postler-accounts.c"
							PostlerAccountInfo* _tmp13_;
							const gchar* _tmp14_;
							const gchar* _tmp15_;
							gboolean _tmp16_ = FALSE;
#line 247 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp13_ = account_info;
#line 247 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp14_ = _tmp13_->path;
#line 247 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp15_ = self->priv->data_path;
#line 247 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp16_ = string_contains (_tmp14_, _tmp15_);
#line 247 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp10_ = !_tmp16_;
#line 2099 "postler-accounts.c"
						} else {
#line 246 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp10_ = FALSE;
#line 2103 "postler-accounts.c"
						}
#line 246 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp17_ = _tmp10_;
#line 246 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						if (_tmp17_) {
#line 2109 "postler-accounts.c"
							GKeyFile* _tmp18_;
							const gchar* _tmp19_;
							PostlerAccountInfo* _tmp20_;
							const gchar* _tmp21_;
#line 248 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp18_ = self->priv->keyfile;
#line 248 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp19_ = group;
#line 248 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp20_ = account_info;
#line 248 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp21_ = _tmp20_->path;
#line 248 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							g_key_file_set_string (_tmp18_, _tmp19_, "path", _tmp21_);
#line 2124 "postler-accounts.c"
						}
#line 249 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp23_ = account_info;
#line 249 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp24_ = _tmp23_->hide;
#line 249 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						if (_tmp24_ != NULL) {
#line 2132 "postler-accounts.c"
							PostlerAccountInfo* _tmp25_;
							const gchar* _tmp26_;
#line 250 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp25_ = account_info;
#line 250 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp26_ = _tmp25_->hide;
#line 250 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp22_ = g_strcmp0 (_tmp26_, POSTLER_hide_folder_default) != 0;
#line 2141 "postler-accounts.c"
						} else {
#line 249 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp22_ = FALSE;
#line 2145 "postler-accounts.c"
						}
#line 249 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp27_ = _tmp22_;
#line 249 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						if (_tmp27_) {
#line 2151 "postler-accounts.c"
							GKeyFile* _tmp28_;
							const gchar* _tmp29_;
							PostlerAccountInfo* _tmp30_;
							const gchar* _tmp31_;
#line 251 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp28_ = self->priv->keyfile;
#line 251 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp29_ = group;
#line 251 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp30_ = account_info;
#line 251 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp31_ = _tmp30_->hide;
#line 251 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							g_key_file_set_string (_tmp28_, _tmp29_, "hide", _tmp31_);
#line 2166 "postler-accounts.c"
						}
					} else {
						PostlerAccountInfo* _tmp32_;
						PostlerAccountType _tmp33_;
#line 253 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp32_ = account_info;
#line 253 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp33_ = _tmp32_->type;
#line 253 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						if (_tmp33_ == POSTLER_ACCOUNT_TYPE_IMAP) {
#line 2177 "postler-accounts.c"
							GKeyFile* _tmp34_;
							const gchar* _tmp35_;
							PostlerAccountInfo* _tmp36_;
							const gchar* _tmp37_;
							PostlerAccountInfo* _tmp42_;
							const gchar* _tmp43_;
							PostlerAccountInfo* _tmp48_;
							const gchar* _tmp49_;
							PostlerAccountInfo* _tmp54_;
							const gchar* _tmp55_;
							PostlerAccountInfo* _tmp60_;
							const gchar* _tmp61_;
							PostlerAccountInfo* _tmp66_;
							const gchar* _tmp67_;
							PostlerAccountInfo* _tmp72_;
							const gchar* _tmp73_;
							PostlerAccountInfo* _tmp78_;
							gint _tmp79_;
							PostlerAccountInfo* _tmp84_;
							const gchar* _tmp85_;
							PostlerAccountInfo* _tmp90_;
							gboolean _tmp91_;
							PostlerAccountInfo* _tmp94_;
							const gchar* _tmp95_;
							PostlerAccountInfo* _tmp100_;
							const gchar* _tmp101_;
							PostlerAccountInfo* _tmp106_;
							const gchar* _tmp107_;
							gboolean _tmp112_ = FALSE;
							PostlerAccountInfo* _tmp113_;
							const gchar* _tmp114_;
							gboolean _tmp117_;
#line 254 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp34_ = self->priv->keyfile;
#line 254 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp35_ = group;
#line 254 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							g_key_file_set_string (_tmp34_, _tmp35_, "type", "imap");
#line 255 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp36_ = account_info;
#line 255 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp37_ = _tmp36_->realname;
#line 255 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (_tmp37_ != NULL) {
#line 2222 "postler-accounts.c"
								GKeyFile* _tmp38_;
								const gchar* _tmp39_;
								PostlerAccountInfo* _tmp40_;
								const gchar* _tmp41_;
#line 256 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp38_ = self->priv->keyfile;
#line 256 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp39_ = group;
#line 256 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp40_ = account_info;
#line 256 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp41_ = _tmp40_->realname;
#line 256 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								g_key_file_set_string (_tmp38_, _tmp39_, "realname", _tmp41_);
#line 2237 "postler-accounts.c"
							}
#line 257 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp42_ = account_info;
#line 257 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp43_ = _tmp42_->address;
#line 257 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (_tmp43_ != NULL) {
#line 2245 "postler-accounts.c"
								GKeyFile* _tmp44_;
								const gchar* _tmp45_;
								PostlerAccountInfo* _tmp46_;
								const gchar* _tmp47_;
#line 258 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp44_ = self->priv->keyfile;
#line 258 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp45_ = group;
#line 258 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp46_ = account_info;
#line 258 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp47_ = _tmp46_->address;
#line 258 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								g_key_file_set_string (_tmp44_, _tmp45_, "address", _tmp47_);
#line 2260 "postler-accounts.c"
							}
#line 259 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp48_ = account_info;
#line 259 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp49_ = _tmp48_->username;
#line 259 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (_tmp49_ != NULL) {
#line 2268 "postler-accounts.c"
								GKeyFile* _tmp50_;
								const gchar* _tmp51_;
								PostlerAccountInfo* _tmp52_;
								const gchar* _tmp53_;
#line 260 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp50_ = self->priv->keyfile;
#line 260 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp51_ = group;
#line 260 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp52_ = account_info;
#line 260 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp53_ = _tmp52_->username;
#line 260 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								g_key_file_set_string (_tmp50_, _tmp51_, "username", _tmp53_);
#line 2283 "postler-accounts.c"
							}
#line 261 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp54_ = account_info;
#line 261 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp55_ = _tmp54_->password;
#line 261 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (_tmp55_ != NULL) {
#line 2291 "postler-accounts.c"
								GKeyFile* _tmp56_;
								const gchar* _tmp57_;
								PostlerAccountInfo* _tmp58_;
								const gchar* _tmp59_;
#line 262 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp56_ = self->priv->keyfile;
#line 262 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp57_ = group;
#line 262 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp58_ = account_info;
#line 262 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp59_ = _tmp58_->password;
#line 262 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								g_key_file_set_string (_tmp56_, _tmp57_, "password", _tmp59_);
#line 2306 "postler-accounts.c"
							}
#line 263 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp60_ = account_info;
#line 263 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp61_ = _tmp60_->prefix;
#line 263 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (_tmp61_ != NULL) {
#line 2314 "postler-accounts.c"
								GKeyFile* _tmp62_;
								const gchar* _tmp63_;
								PostlerAccountInfo* _tmp64_;
								const gchar* _tmp65_;
#line 264 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp62_ = self->priv->keyfile;
#line 264 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp63_ = group;
#line 264 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp64_ = account_info;
#line 264 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp65_ = _tmp64_->prefix;
#line 264 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								g_key_file_set_string (_tmp62_, _tmp63_, "prefix", _tmp65_);
#line 2329 "postler-accounts.c"
							}
#line 265 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp66_ = account_info;
#line 265 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp67_ = _tmp66_->receive;
#line 265 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (_tmp67_ != NULL) {
#line 2337 "postler-accounts.c"
								GKeyFile* _tmp68_;
								const gchar* _tmp69_;
								PostlerAccountInfo* _tmp70_;
								const gchar* _tmp71_;
#line 266 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp68_ = self->priv->keyfile;
#line 266 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp69_ = group;
#line 266 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp70_ = account_info;
#line 266 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp71_ = _tmp70_->receive;
#line 266 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								g_key_file_set_string (_tmp68_, _tmp69_, "receive", _tmp71_);
#line 2352 "postler-accounts.c"
							}
#line 267 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp72_ = account_info;
#line 267 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp73_ = _tmp72_->send;
#line 267 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (_tmp73_ != NULL) {
#line 2360 "postler-accounts.c"
								GKeyFile* _tmp74_;
								const gchar* _tmp75_;
								PostlerAccountInfo* _tmp76_;
								const gchar* _tmp77_;
#line 268 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp74_ = self->priv->keyfile;
#line 268 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp75_ = group;
#line 268 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp76_ = account_info;
#line 268 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp77_ = _tmp76_->send;
#line 268 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								g_key_file_set_string (_tmp74_, _tmp75_, "send", _tmp77_);
#line 2375 "postler-accounts.c"
							}
#line 269 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp78_ = account_info;
#line 269 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp79_ = _tmp78_->send_port;
#line 269 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (_tmp79_ != 0) {
#line 2383 "postler-accounts.c"
								GKeyFile* _tmp80_;
								const gchar* _tmp81_;
								PostlerAccountInfo* _tmp82_;
								gint _tmp83_;
#line 270 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp80_ = self->priv->keyfile;
#line 270 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp81_ = group;
#line 270 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp82_ = account_info;
#line 270 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp83_ = _tmp82_->send_port;
#line 270 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								g_key_file_set_integer (_tmp80_, _tmp81_, "send-port", _tmp83_);
#line 2398 "postler-accounts.c"
							}
#line 271 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp84_ = account_info;
#line 271 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp85_ = _tmp84_->certificate;
#line 271 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (_tmp85_ != NULL) {
#line 2406 "postler-accounts.c"
								GKeyFile* _tmp86_;
								const gchar* _tmp87_;
								PostlerAccountInfo* _tmp88_;
								const gchar* _tmp89_;
#line 272 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp86_ = self->priv->keyfile;
#line 272 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp87_ = group;
#line 272 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp88_ = account_info;
#line 272 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp89_ = _tmp88_->certificate;
#line 272 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								g_key_file_set_string (_tmp86_, _tmp87_, "certificate", _tmp89_);
#line 2421 "postler-accounts.c"
							}
#line 274 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp90_ = account_info;
#line 274 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp91_ = _tmp90_->unverified;
#line 274 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (_tmp91_) {
#line 2429 "postler-accounts.c"
								GKeyFile* _tmp92_;
								const gchar* _tmp93_;
#line 275 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp92_ = self->priv->keyfile;
#line 275 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp93_ = group;
#line 275 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								g_key_file_set_boolean (_tmp92_, _tmp93_, "unverified", TRUE);
#line 2438 "postler-accounts.c"
							}
#line 276 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp94_ = account_info;
#line 276 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp95_ = _tmp94_->reply;
#line 276 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (_tmp95_ != NULL) {
#line 2446 "postler-accounts.c"
								GKeyFile* _tmp96_;
								const gchar* _tmp97_;
								PostlerAccountInfo* _tmp98_;
								const gchar* _tmp99_;
#line 277 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp96_ = self->priv->keyfile;
#line 277 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp97_ = group;
#line 277 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp98_ = account_info;
#line 277 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp99_ = _tmp98_->reply;
#line 277 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								g_key_file_set_string (_tmp96_, _tmp97_, "reply", _tmp99_);
#line 2461 "postler-accounts.c"
							}
#line 278 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp100_ = account_info;
#line 278 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp101_ = _tmp100_->organization;
#line 278 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (_tmp101_ != NULL) {
#line 2469 "postler-accounts.c"
								GKeyFile* _tmp102_;
								const gchar* _tmp103_;
								PostlerAccountInfo* _tmp104_;
								const gchar* _tmp105_;
#line 279 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp102_ = self->priv->keyfile;
#line 279 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp103_ = group;
#line 279 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp104_ = account_info;
#line 279 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp105_ = _tmp104_->organization;
#line 279 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								g_key_file_set_string (_tmp102_, _tmp103_, "organization", _tmp105_);
#line 2484 "postler-accounts.c"
							}
#line 281 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp106_ = account_info;
#line 281 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp107_ = _tmp106_->signature;
#line 281 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (_tmp107_ != NULL) {
#line 2492 "postler-accounts.c"
								GKeyFile* _tmp108_;
								const gchar* _tmp109_;
								PostlerAccountInfo* _tmp110_;
								const gchar* _tmp111_;
#line 282 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp108_ = self->priv->keyfile;
#line 282 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp109_ = group;
#line 282 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp110_ = account_info;
#line 282 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp111_ = _tmp110_->signature;
#line 282 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								g_key_file_set_string (_tmp108_, _tmp109_, "signature", _tmp111_);
#line 2507 "postler-accounts.c"
							}
#line 284 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp113_ = account_info;
#line 284 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp114_ = _tmp113_->hide;
#line 284 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (_tmp114_ != NULL) {
#line 2515 "postler-accounts.c"
								PostlerAccountInfo* _tmp115_;
								const gchar* _tmp116_;
#line 285 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp115_ = account_info;
#line 285 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp116_ = _tmp115_->hide;
#line 285 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp112_ = g_strcmp0 (_tmp116_, POSTLER_hide_folder_default) != 0;
#line 2524 "postler-accounts.c"
							} else {
#line 284 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp112_ = FALSE;
#line 2528 "postler-accounts.c"
							}
#line 284 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp117_ = _tmp112_;
#line 284 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (_tmp117_) {
#line 2534 "postler-accounts.c"
								GKeyFile* _tmp118_;
								const gchar* _tmp119_;
								PostlerAccountInfo* _tmp120_;
								const gchar* _tmp121_;
#line 286 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp118_ = self->priv->keyfile;
#line 286 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp119_ = group;
#line 286 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp120_ = account_info;
#line 286 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp121_ = _tmp120_->hide;
#line 286 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								g_key_file_set_string (_tmp118_, _tmp119_, "hide", _tmp121_);
#line 2549 "postler-accounts.c"
							}
							{
								gint type;
#line 287 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								type = 0;
#line 2555 "postler-accounts.c"
								{
									gboolean _tmp122_;
#line 287 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									_tmp122_ = TRUE;
#line 287 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									while (TRUE) {
#line 2562 "postler-accounts.c"
										gboolean _tmp123_;
										gint _tmp125_;
										PostlerAccountInfo* _tmp126_;
										gchar** _tmp127_;
										gint _tmp127__length1;
										gint _tmp128_;
										const gchar* _tmp129_;
#line 287 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
										_tmp123_ = _tmp122_;
#line 287 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
										if (!_tmp123_) {
#line 2574 "postler-accounts.c"
											gint _tmp124_;
#line 287 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
											_tmp124_ = type;
#line 287 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
											type = _tmp124_ + 1;
#line 2580 "postler-accounts.c"
										}
#line 287 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
										_tmp122_ = FALSE;
#line 287 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
										_tmp125_ = type;
#line 287 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
										if (!(_tmp125_ < ((gint) POSTLER_FOLDER_TYPE_MAX))) {
#line 287 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
											break;
#line 2590 "postler-accounts.c"
										}
#line 288 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
										_tmp126_ = account_info;
#line 288 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
										_tmp127_ = _tmp126_->folders;
#line 288 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
										_tmp127__length1 = _tmp126_->folders_length1;
#line 288 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
										_tmp128_ = type;
#line 288 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
										_tmp129_ = _tmp127_[_tmp128_];
#line 288 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
										if (_tmp129_ != NULL) {
#line 2604 "postler-accounts.c"
											GKeyFile* _tmp130_;
											const gchar* _tmp131_;
											gint _tmp132_;
											gchar* _tmp133_ = NULL;
											gchar* _tmp134_;
											gchar* _tmp135_;
											gchar* _tmp136_;
											PostlerAccountInfo* _tmp137_;
											gchar** _tmp138_;
											gint _tmp138__length1;
											gint _tmp139_;
											const gchar* _tmp140_;
#line 289 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
											_tmp130_ = self->priv->keyfile;
#line 289 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
											_tmp131_ = group;
#line 289 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
											_tmp132_ = type;
#line 289 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
											_tmp133_ = g_strdup_printf ("%i", _tmp132_);
#line 289 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
											_tmp134_ = _tmp133_;
#line 289 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
											_tmp135_ = g_strconcat ("localized", _tmp134_, NULL);
#line 289 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
											_tmp136_ = _tmp135_;
#line 289 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
											_tmp137_ = account_info;
#line 289 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
											_tmp138_ = _tmp137_->folders;
#line 289 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
											_tmp138__length1 = _tmp137_->folders_length1;
#line 289 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
											_tmp139_ = type;
#line 289 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
											_tmp140_ = _tmp138_[_tmp139_];
#line 289 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
											g_key_file_set_string (_tmp130_, _tmp131_, _tmp136_, _tmp140_);
#line 289 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
											_g_free0 (_tmp136_);
#line 289 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
											_g_free0 (_tmp134_);
#line 2647 "postler-accounts.c"
										}
									}
								}
							}
						} else {
							PostlerAccountInfo* _tmp141_;
							PostlerAccountType _tmp142_;
#line 294 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp141_ = account_info;
#line 294 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp142_ = _tmp141_->type;
#line 294 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (_tmp142_ == POSTLER_ACCOUNT_TYPE_SEARCH) {
#line 2661 "postler-accounts.c"
								GKeyFile* _tmp143_;
								const gchar* _tmp144_;
								GKeyFile* _tmp145_;
								const gchar* _tmp146_;
								PostlerAccountInfo* _tmp147_;
								const gchar* _tmp148_;
#line 295 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp143_ = self->priv->keyfile;
#line 295 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp144_ = group;
#line 295 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								g_key_file_set_string (_tmp143_, _tmp144_, "type", "search");
#line 296 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp145_ = self->priv->keyfile;
#line 296 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp146_ = group;
#line 296 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp147_ = account_info;
#line 296 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp148_ = _tmp147_->path;
#line 296 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								g_key_file_set_string (_tmp145_, _tmp146_, "path", _tmp148_);
#line 2684 "postler-accounts.c"
							} else {
#line 299 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								g_assert_not_reached ();
#line 2688 "postler-accounts.c"
							}
						}
					}
#line 240 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_g_free0 (group);
#line 240 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_g_object_unref0 (account_info);
#line 2696 "postler-accounts.c"
				}
			}
		}
#line 302 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		postler_accounts_write_keyfile (self, &_inner_error_);
#line 302 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		if (_inner_error_ != NULL) {
#line 2704 "postler-accounts.c"
			goto __catch11_g_error;
		}
	}
	goto __finally11;
	__catch11_g_error:
	{
		GError* _error_ = NULL;
		const gchar* _tmp149_;
		GError* _tmp150_;
		const gchar* _tmp151_;
#line 239 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_error_ = _inner_error_;
#line 239 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_inner_error_ = NULL;
#line 305 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp149_ = self->priv->account_file;
#line 305 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp150_ = _error_;
#line 305 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp151_ = _tmp150_->message;
#line 305 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		g_critical ("postler-accounts.vala:305: Failed to save \"%s\": %s", _tmp149_, _tmp151_);
#line 239 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_g_error_free0 (_error_);
#line 2729 "postler-accounts.c"
	}
	__finally11:
#line 239 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	if (_inner_error_ != NULL) {
#line 239 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 239 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		g_clear_error (&_inner_error_);
#line 239 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		return;
#line 2740 "postler-accounts.c"
	}
}


static gboolean postler_accounts_remove_path (PostlerAccounts* self, const gchar* path, GError** error) {
	gboolean result = FALSE;
	GDir* dir = NULL;
	gchar* name = NULL;
	const gchar* _tmp15_;
	gint _tmp16_ = 0;
	GError * _inner_error_ = NULL;
#line 309 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 309 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	g_return_val_if_fail (path != NULL, FALSE);
#line 2756 "postler-accounts.c"
	{
		const gchar* _tmp0_;
		GDir* _tmp1_ = NULL;
		GDir* _tmp2_;
#line 312 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp0_ = path;
#line 312 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp1_ = g_dir_open (_tmp0_, (guint) 0, &_inner_error_);
#line 312 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp2_ = _tmp1_;
#line 312 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		if (_inner_error_ != NULL) {
#line 2769 "postler-accounts.c"
			goto __catch12_g_error;
		}
#line 312 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_g_dir_close0 (dir);
#line 312 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		dir = _tmp2_;
#line 2776 "postler-accounts.c"
	}
	goto __finally12;
	__catch12_g_error:
	{
		GError* _error_ = NULL;
		const gchar* _tmp3_;
		gint _tmp4_ = 0;
#line 311 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_error_ = _inner_error_;
#line 311 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_inner_error_ = NULL;
#line 315 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp3_ = path;
#line 315 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp4_ = g_remove (_tmp3_);
#line 315 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		result = _tmp4_ == 0;
#line 315 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_g_error_free0 (_error_);
#line 315 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_g_dir_close0 (dir);
#line 315 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		return result;
#line 2800 "postler-accounts.c"
	}
	__finally12:
#line 311 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	if (_inner_error_ != NULL) {
#line 311 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		if (_inner_error_->domain == G_FILE_ERROR) {
#line 311 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			g_propagate_error (error, _inner_error_);
#line 311 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_g_dir_close0 (dir);
#line 311 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			return FALSE;
#line 2813 "postler-accounts.c"
		} else {
#line 311 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_g_dir_close0 (dir);
#line 311 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 311 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			g_clear_error (&_inner_error_);
#line 311 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			return FALSE;
#line 2823 "postler-accounts.c"
		}
	}
#line 318 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	while (TRUE) {
#line 2828 "postler-accounts.c"
		GDir* _tmp5_;
		const gchar* _tmp6_ = NULL;
		gchar* _tmp7_;
		const gchar* _tmp8_;
		const gchar* _tmp9_;
		const gchar* _tmp10_;
		gchar* _tmp11_ = NULL;
		gchar* subpath;
		const gchar* _tmp12_;
		gboolean _tmp13_ = FALSE;
		gboolean _tmp14_;
#line 318 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp5_ = dir;
#line 318 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp6_ = g_dir_read_name (_tmp5_);
#line 318 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp7_ = g_strdup (_tmp6_);
#line 318 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_g_free0 (name);
#line 318 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		name = _tmp7_;
#line 318 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp8_ = name;
#line 318 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		if (!(_tmp8_ != NULL)) {
#line 318 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			break;
#line 2856 "postler-accounts.c"
		}
#line 319 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp9_ = path;
#line 319 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp10_ = name;
#line 319 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp11_ = g_build_filename (_tmp9_, _tmp10_, NULL);
#line 319 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		subpath = _tmp11_;
#line 320 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp12_ = subpath;
#line 320 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp13_ = postler_accounts_remove_path (self, _tmp12_, &_inner_error_);
#line 320 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp14_ = _tmp13_;
#line 320 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		if (_inner_error_ != NULL) {
#line 320 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			if (_inner_error_->domain == G_FILE_ERROR) {
#line 320 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				g_propagate_error (error, _inner_error_);
#line 320 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_g_free0 (subpath);
#line 320 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_g_free0 (name);
#line 320 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_g_dir_close0 (dir);
#line 320 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				return FALSE;
#line 2886 "postler-accounts.c"
			} else {
#line 320 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_g_free0 (subpath);
#line 320 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_g_free0 (name);
#line 320 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_g_dir_close0 (dir);
#line 320 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 320 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				g_clear_error (&_inner_error_);
#line 320 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				return FALSE;
#line 2900 "postler-accounts.c"
			}
		}
#line 320 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		if (!_tmp14_) {
#line 321 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			result = FALSE;
#line 321 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_g_free0 (subpath);
#line 321 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_g_free0 (name);
#line 321 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_g_dir_close0 (dir);
#line 321 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			return result;
#line 2915 "postler-accounts.c"
		}
#line 318 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_g_free0 (subpath);
#line 2919 "postler-accounts.c"
	}
#line 323 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp15_ = path;
#line 323 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp16_ = g_remove (_tmp15_);
#line 323 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	result = _tmp16_ == 0;
#line 323 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_free0 (name);
#line 323 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_dir_close0 (dir);
#line 323 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	return result;
#line 2933 "postler-accounts.c"
}


static void postler_accounts_delete_account (PostlerAccounts* self, PostlerAccountInfo* info) {
	PostlerAccountInfo* _tmp0_;
	const gchar* _tmp1_;
	GError * _inner_error_ = NULL;
#line 326 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	g_return_if_fail (self != NULL);
#line 326 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	g_return_if_fail (info != NULL);
#line 326 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp0_ = info;
#line 326 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp1_ = _tmp0_->name;
#line 326 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	g_return_if_fail (_tmp1_ != NULL);
#line 2951 "postler-accounts.c"
	{
		PostlerAccountInfo* _tmp2_;
		PostlerAccountType _tmp3_;
		GKeyFile* _tmp15_;
		PostlerAccountInfo* _tmp16_;
		const gchar* _tmp17_;
#line 329 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp2_ = info;
#line 329 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp3_ = _tmp2_->type;
#line 329 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		if (_tmp3_ == POSTLER_ACCOUNT_TYPE_IMAP) {
#line 2964 "postler-accounts.c"
			PostlerAccountInfo* _tmp4_;
			const gchar* _tmp5_;
			gboolean _tmp6_ = FALSE;
			gboolean _tmp7_;
#line 330 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp4_ = info;
#line 330 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp5_ = _tmp4_->path;
#line 330 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp6_ = postler_accounts_remove_path (self, _tmp5_, &_inner_error_);
#line 330 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp7_ = _tmp6_;
#line 330 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			if (_inner_error_ != NULL) {
#line 2979 "postler-accounts.c"
				goto __catch13_g_error;
			}
#line 330 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			if (!_tmp7_) {
#line 2984 "postler-accounts.c"
				const gchar* _tmp8_ = NULL;
				PostlerAccountInfo* _tmp9_;
				const gchar* _tmp10_;
				gchar* _tmp11_ = NULL;
				gchar* _tmp12_;
				GError* _tmp13_;
				GError* _tmp14_;
#line 331 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp8_ = _ ("Failed to remove \"%s\"");
#line 331 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp9_ = info;
#line 331 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp10_ = _tmp9_->path;
#line 331 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp11_ = g_strdup_printf (_tmp8_, _tmp10_);
#line 331 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp12_ = _tmp11_;
#line 331 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp13_ = g_error_new_literal (G_FILE_ERROR, G_FILE_ERROR_FAILED, _tmp12_);
#line 331 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp14_ = _tmp13_;
#line 331 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_g_free0 (_tmp12_);
#line 331 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_inner_error_ = _tmp14_;
#line 3010 "postler-accounts.c"
				goto __catch13_g_error;
			}
		}
#line 334 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp15_ = self->priv->keyfile;
#line 334 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp16_ = info;
#line 334 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp17_ = _tmp16_->name;
#line 334 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		g_key_file_remove_group (_tmp15_, _tmp17_, &_inner_error_);
#line 334 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		if (_inner_error_ != NULL) {
#line 3024 "postler-accounts.c"
			goto __catch13_g_error;
		}
#line 335 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		postler_accounts_write_keyfile (self, &_inner_error_);
#line 335 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		if (_inner_error_ != NULL) {
#line 3031 "postler-accounts.c"
			goto __catch13_g_error;
		}
	}
	goto __finally13;
	__catch13_g_error:
	{
		GError* _error_ = NULL;
		const gchar* _tmp18_;
		GError* _tmp19_;
		const gchar* _tmp20_;
#line 328 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_error_ = _inner_error_;
#line 328 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_inner_error_ = NULL;
#line 338 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp18_ = self->priv->account_file;
#line 338 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp19_ = _error_;
#line 338 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp20_ = _tmp19_->message;
#line 338 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		g_critical ("postler-accounts.vala:338: Failed to save \"%s\": %s", _tmp18_, _tmp20_);
#line 328 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_g_error_free0 (_error_);
#line 3056 "postler-accounts.c"
	}
	__finally13:
#line 328 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	if (_inner_error_ != NULL) {
#line 328 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 328 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		g_clear_error (&_inner_error_);
#line 328 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		return;
#line 3067 "postler-accounts.c"
	}
}


static void postler_accounts_reload (PostlerAccounts* self) {
	GKeyFile* _tmp0_;
	GKeyFile* _tmp6_;
	gsize _tmp7_;
	gchar** _tmp8_ = NULL;
	GError * _inner_error_ = NULL;
#line 342 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	g_return_if_fail (self != NULL);
#line 343 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	__g_list_free__g_object_unref0_0 (self->priv->infos);
#line 343 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	self->priv->infos = NULL;
#line 344 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp0_ = g_key_file_new ();
#line 344 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_key_file_free0 (self->priv->keyfile);
#line 344 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	self->priv->keyfile = _tmp0_;
#line 3090 "postler-accounts.c"
	{
		GKeyFile* _tmp1_;
		const gchar* _tmp2_;
#line 346 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp1_ = self->priv->keyfile;
#line 346 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp2_ = self->priv->account_file;
#line 346 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		g_key_file_load_from_file (_tmp1_, _tmp2_, 0, &_inner_error_);
#line 346 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		if (_inner_error_ != NULL) {
#line 3102 "postler-accounts.c"
			goto __catch14_g_error;
		}
	}
	goto __finally14;
	__catch14_g_error:
	{
		GError* _error_ = NULL;
		const gchar* _tmp3_;
		GError* _tmp4_;
		const gchar* _tmp5_;
#line 345 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_error_ = _inner_error_;
#line 345 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_inner_error_ = NULL;
#line 349 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp3_ = self->priv->account_file;
#line 349 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp4_ = _error_;
#line 349 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp5_ = _tmp4_->message;
#line 349 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		g_debug ("postler-accounts.vala:349: Failed to load \"%s\": %s", _tmp3_, _tmp5_);
#line 345 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_g_error_free0 (_error_);
#line 3127 "postler-accounts.c"
	}
	__finally14:
#line 345 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	if (_inner_error_ != NULL) {
#line 345 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 345 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		g_clear_error (&_inner_error_);
#line 345 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		return;
#line 3138 "postler-accounts.c"
	}
#line 352 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp6_ = self->priv->keyfile;
#line 352 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp8_ = g_key_file_get_groups (_tmp6_, &_tmp7_);
#line 3144 "postler-accounts.c"
	{
		gchar** group_collection = NULL;
		gint group_collection_length1 = 0;
		gint _group_collection_size_ = 0;
		gint group_it = 0;
#line 352 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		group_collection = _tmp8_;
#line 352 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		group_collection_length1 = _tmp7_;
#line 352 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		for (group_it = 0; group_it < _tmp7_; group_it = group_it + 1) {
#line 3156 "postler-accounts.c"
			gchar* _tmp9_;
			gchar* group = NULL;
#line 352 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp9_ = g_strdup (group_collection[group_it]);
#line 352 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			group = _tmp9_;
#line 3163 "postler-accounts.c"
			{
				{
					GKeyFile* _tmp10_;
					const gchar* _tmp11_;
					gchar* _tmp12_ = NULL;
					gchar* type;
					PostlerAccountInfo* _tmp13_;
					PostlerAccountInfo* info;
					PostlerAccountInfo* _tmp14_;
					const gchar* _tmp15_;
					gchar* _tmp16_;
					const gchar* _tmp17_;
					PostlerAccountInfo* _tmp211_;
					PostlerAccountInfo* _tmp212_;
#line 354 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp10_ = self->priv->keyfile;
#line 354 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp11_ = group;
#line 354 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp12_ = g_key_file_get_string (_tmp10_, _tmp11_, "type", &_inner_error_);
#line 354 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					type = _tmp12_;
#line 354 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					if (_inner_error_ != NULL) {
#line 3188 "postler-accounts.c"
						goto __catch15_g_error;
					}
#line 355 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp13_ = postler_account_info_new ();
#line 355 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					info = _tmp13_;
#line 356 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp14_ = info;
#line 356 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp15_ = group;
#line 356 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp16_ = g_strdup (_tmp15_);
#line 356 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_g_free0 (_tmp14_->name);
#line 356 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp14_->name = _tmp16_;
#line 357 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp17_ = type;
#line 357 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					if (g_strcmp0 (_tmp17_, "maildir") == 0) {
#line 3209 "postler-accounts.c"
						PostlerAccountInfo* _tmp18_;
						GKeyFile* _tmp19_;
						const gchar* _tmp20_;
						gboolean _tmp21_ = FALSE;
						gboolean _tmp22_;
						GKeyFile* _tmp33_;
						const gchar* _tmp34_;
						gboolean _tmp35_ = FALSE;
						gboolean _tmp36_;
#line 358 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp18_ = info;
#line 358 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp18_->type = POSTLER_ACCOUNT_TYPE_MAILDIR;
#line 359 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp19_ = self->priv->keyfile;
#line 359 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp20_ = group;
#line 359 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp21_ = g_key_file_has_key (_tmp19_, _tmp20_, "path", &_inner_error_);
#line 359 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp22_ = _tmp21_;
#line 359 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						if (_inner_error_ != NULL) {
#line 359 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_g_object_unref0 (info);
#line 359 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_g_free0 (type);
#line 3237 "postler-accounts.c"
							goto __catch15_g_error;
						}
#line 359 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						if (_tmp22_) {
#line 3242 "postler-accounts.c"
							GKeyFile* _tmp23_;
							const gchar* _tmp24_;
							gchar* _tmp25_ = NULL;
							gchar* _tmp26_;
							PostlerAccountInfo* _tmp27_;
#line 360 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp23_ = self->priv->keyfile;
#line 360 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp24_ = group;
#line 360 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp25_ = g_key_file_get_string (_tmp23_, _tmp24_, "path", &_inner_error_);
#line 360 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp26_ = _tmp25_;
#line 360 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (_inner_error_ != NULL) {
#line 360 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_object_unref0 (info);
#line 360 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_free0 (type);
#line 3262 "postler-accounts.c"
								goto __catch15_g_error;
							}
#line 360 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp27_ = info;
#line 360 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_g_free0 (_tmp27_->path);
#line 360 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp27_->path = _tmp26_;
#line 3271 "postler-accounts.c"
						} else {
							PostlerAccountInfo* _tmp28_;
							const gchar* _tmp29_;
							PostlerAccountInfo* _tmp30_;
							const gchar* _tmp31_;
							gchar* _tmp32_;
#line 362 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp28_ = info;
#line 362 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp29_ = self->priv->data_path;
#line 362 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp30_ = info;
#line 362 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp31_ = _tmp30_->name;
#line 362 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp32_ = g_strconcat (_tmp29_, _tmp31_, NULL);
#line 362 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_g_free0 (_tmp28_->path);
#line 362 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp28_->path = _tmp32_;
#line 3292 "postler-accounts.c"
						}
#line 363 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp33_ = self->priv->keyfile;
#line 363 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp34_ = group;
#line 363 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp35_ = g_key_file_has_key (_tmp33_, _tmp34_, "hide", &_inner_error_);
#line 363 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp36_ = _tmp35_;
#line 363 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						if (_inner_error_ != NULL) {
#line 363 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_g_object_unref0 (info);
#line 363 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_g_free0 (type);
#line 3308 "postler-accounts.c"
							goto __catch15_g_error;
						}
#line 363 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						if (_tmp36_) {
#line 3313 "postler-accounts.c"
							GKeyFile* _tmp37_;
							const gchar* _tmp38_;
							gchar* _tmp39_ = NULL;
							gchar* _tmp40_;
							PostlerAccountInfo* _tmp41_;
#line 364 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp37_ = self->priv->keyfile;
#line 364 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp38_ = group;
#line 364 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp39_ = g_key_file_get_string (_tmp37_, _tmp38_, "hide", &_inner_error_);
#line 364 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp40_ = _tmp39_;
#line 364 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (_inner_error_ != NULL) {
#line 364 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_object_unref0 (info);
#line 364 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_free0 (type);
#line 3333 "postler-accounts.c"
								goto __catch15_g_error;
							}
#line 364 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp41_ = info;
#line 364 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_g_free0 (_tmp41_->hide);
#line 364 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp41_->hide = _tmp40_;
#line 3342 "postler-accounts.c"
						}
					} else {
						const gchar* _tmp42_;
#line 366 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						_tmp42_ = type;
#line 366 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
						if (g_strcmp0 (_tmp42_, "imap") == 0) {
#line 3350 "postler-accounts.c"
							PostlerAccountInfo* _tmp43_;
							PostlerAccountInfo* _tmp44_;
							const gchar* _tmp45_;
							PostlerAccountInfo* _tmp46_;
							const gchar* _tmp47_;
							gchar* _tmp48_;
							GKeyFile* _tmp49_;
							const gchar* _tmp50_;
							gboolean _tmp51_ = FALSE;
							gboolean _tmp52_;
							GKeyFile* _tmp58_;
							const gchar* _tmp59_;
							gboolean _tmp60_ = FALSE;
							gboolean _tmp61_;
							GKeyFile* _tmp67_;
							const gchar* _tmp68_;
							gboolean _tmp69_ = FALSE;
							gboolean _tmp70_;
							GKeyFile* _tmp76_;
							const gchar* _tmp77_;
							gboolean _tmp78_ = FALSE;
							gboolean _tmp79_;
							GKeyFile* _tmp85_;
							const gchar* _tmp86_;
							gboolean _tmp87_ = FALSE;
							gboolean _tmp88_;
							GKeyFile* _tmp94_;
							const gchar* _tmp95_;
							gboolean _tmp96_ = FALSE;
							gboolean _tmp97_;
							GKeyFile* _tmp103_;
							const gchar* _tmp104_;
							gboolean _tmp105_ = FALSE;
							gboolean _tmp106_;
							GKeyFile* _tmp112_;
							const gchar* _tmp113_;
							gboolean _tmp114_ = FALSE;
							gboolean _tmp115_;
							GKeyFile* _tmp121_;
							const gchar* _tmp122_;
							gboolean _tmp123_ = FALSE;
							gboolean _tmp124_;
							GKeyFile* _tmp130_;
							const gchar* _tmp131_;
							gboolean _tmp132_ = FALSE;
							gboolean _tmp133_;
							GKeyFile* _tmp139_;
							const gchar* _tmp140_;
							gboolean _tmp141_ = FALSE;
							gboolean _tmp142_;
							GKeyFile* _tmp148_;
							const gchar* _tmp149_;
							gboolean _tmp150_ = FALSE;
							gboolean _tmp151_;
							GKeyFile* _tmp157_;
							const gchar* _tmp158_;
							gboolean _tmp159_ = FALSE;
							gboolean _tmp160_;
							GKeyFile* _tmp166_;
							const gchar* _tmp167_;
							gboolean _tmp168_ = FALSE;
							gboolean _tmp169_;
#line 367 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp43_ = info;
#line 367 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp43_->type = POSTLER_ACCOUNT_TYPE_IMAP;
#line 368 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp44_ = info;
#line 368 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp45_ = self->priv->data_path;
#line 368 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp46_ = info;
#line 368 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp47_ = _tmp46_->name;
#line 368 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp48_ = g_strconcat (_tmp45_, _tmp47_, NULL);
#line 368 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_g_free0 (_tmp44_->path);
#line 368 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp44_->path = _tmp48_;
#line 369 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp49_ = self->priv->keyfile;
#line 369 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp50_ = group;
#line 369 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp51_ = g_key_file_has_key (_tmp49_, _tmp50_, "realname", &_inner_error_);
#line 369 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp52_ = _tmp51_;
#line 369 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (_inner_error_ != NULL) {
#line 369 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_object_unref0 (info);
#line 369 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_free0 (type);
#line 3445 "postler-accounts.c"
								goto __catch15_g_error;
							}
#line 369 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (_tmp52_) {
#line 3450 "postler-accounts.c"
								GKeyFile* _tmp53_;
								const gchar* _tmp54_;
								gchar* _tmp55_ = NULL;
								gchar* _tmp56_;
								PostlerAccountInfo* _tmp57_;
#line 370 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp53_ = self->priv->keyfile;
#line 370 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp54_ = group;
#line 370 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp55_ = g_key_file_get_string (_tmp53_, _tmp54_, "realname", &_inner_error_);
#line 370 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp56_ = _tmp55_;
#line 370 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								if (_inner_error_ != NULL) {
#line 370 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									_g_object_unref0 (info);
#line 370 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									_g_free0 (type);
#line 3470 "postler-accounts.c"
									goto __catch15_g_error;
								}
#line 370 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp57_ = info;
#line 370 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_free0 (_tmp57_->realname);
#line 370 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp57_->realname = _tmp56_;
#line 3479 "postler-accounts.c"
							}
#line 371 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp58_ = self->priv->keyfile;
#line 371 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp59_ = group;
#line 371 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp60_ = g_key_file_has_key (_tmp58_, _tmp59_, "address", &_inner_error_);
#line 371 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp61_ = _tmp60_;
#line 371 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (_inner_error_ != NULL) {
#line 371 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_object_unref0 (info);
#line 371 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_free0 (type);
#line 3495 "postler-accounts.c"
								goto __catch15_g_error;
							}
#line 371 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (_tmp61_) {
#line 3500 "postler-accounts.c"
								GKeyFile* _tmp62_;
								const gchar* _tmp63_;
								gchar* _tmp64_ = NULL;
								gchar* _tmp65_;
								PostlerAccountInfo* _tmp66_;
#line 372 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp62_ = self->priv->keyfile;
#line 372 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp63_ = group;
#line 372 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp64_ = g_key_file_get_string (_tmp62_, _tmp63_, "address", &_inner_error_);
#line 372 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp65_ = _tmp64_;
#line 372 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								if (_inner_error_ != NULL) {
#line 372 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									_g_object_unref0 (info);
#line 372 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									_g_free0 (type);
#line 3520 "postler-accounts.c"
									goto __catch15_g_error;
								}
#line 372 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp66_ = info;
#line 372 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_free0 (_tmp66_->address);
#line 372 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp66_->address = _tmp65_;
#line 3529 "postler-accounts.c"
							}
#line 373 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp67_ = self->priv->keyfile;
#line 373 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp68_ = group;
#line 373 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp69_ = g_key_file_has_key (_tmp67_, _tmp68_, "username", &_inner_error_);
#line 373 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp70_ = _tmp69_;
#line 373 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (_inner_error_ != NULL) {
#line 373 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_object_unref0 (info);
#line 373 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_free0 (type);
#line 3545 "postler-accounts.c"
								goto __catch15_g_error;
							}
#line 373 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (_tmp70_) {
#line 3550 "postler-accounts.c"
								GKeyFile* _tmp71_;
								const gchar* _tmp72_;
								gchar* _tmp73_ = NULL;
								gchar* _tmp74_;
								PostlerAccountInfo* _tmp75_;
#line 374 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp71_ = self->priv->keyfile;
#line 374 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp72_ = group;
#line 374 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp73_ = g_key_file_get_string (_tmp71_, _tmp72_, "username", &_inner_error_);
#line 374 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp74_ = _tmp73_;
#line 374 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								if (_inner_error_ != NULL) {
#line 374 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									_g_object_unref0 (info);
#line 374 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									_g_free0 (type);
#line 3570 "postler-accounts.c"
									goto __catch15_g_error;
								}
#line 374 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp75_ = info;
#line 374 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_free0 (_tmp75_->username);
#line 374 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp75_->username = _tmp74_;
#line 3579 "postler-accounts.c"
							}
#line 375 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp76_ = self->priv->keyfile;
#line 375 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp77_ = group;
#line 375 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp78_ = g_key_file_has_key (_tmp76_, _tmp77_, "password", &_inner_error_);
#line 375 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp79_ = _tmp78_;
#line 375 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (_inner_error_ != NULL) {
#line 375 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_object_unref0 (info);
#line 375 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_free0 (type);
#line 3595 "postler-accounts.c"
								goto __catch15_g_error;
							}
#line 375 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (_tmp79_) {
#line 3600 "postler-accounts.c"
								GKeyFile* _tmp80_;
								const gchar* _tmp81_;
								gchar* _tmp82_ = NULL;
								gchar* _tmp83_;
								PostlerAccountInfo* _tmp84_;
#line 376 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp80_ = self->priv->keyfile;
#line 376 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp81_ = group;
#line 376 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp82_ = g_key_file_get_string (_tmp80_, _tmp81_, "password", &_inner_error_);
#line 376 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp83_ = _tmp82_;
#line 376 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								if (_inner_error_ != NULL) {
#line 376 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									_g_object_unref0 (info);
#line 376 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									_g_free0 (type);
#line 3620 "postler-accounts.c"
									goto __catch15_g_error;
								}
#line 376 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp84_ = info;
#line 376 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_free0 (_tmp84_->password);
#line 376 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp84_->password = _tmp83_;
#line 3629 "postler-accounts.c"
							}
#line 377 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp85_ = self->priv->keyfile;
#line 377 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp86_ = group;
#line 377 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp87_ = g_key_file_has_key (_tmp85_, _tmp86_, "prefix", &_inner_error_);
#line 377 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp88_ = _tmp87_;
#line 377 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (_inner_error_ != NULL) {
#line 377 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_object_unref0 (info);
#line 377 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_free0 (type);
#line 3645 "postler-accounts.c"
								goto __catch15_g_error;
							}
#line 377 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (_tmp88_) {
#line 3650 "postler-accounts.c"
								GKeyFile* _tmp89_;
								const gchar* _tmp90_;
								gchar* _tmp91_ = NULL;
								gchar* _tmp92_;
								PostlerAccountInfo* _tmp93_;
#line 378 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp89_ = self->priv->keyfile;
#line 378 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp90_ = group;
#line 378 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp91_ = g_key_file_get_string (_tmp89_, _tmp90_, "prefix", &_inner_error_);
#line 378 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp92_ = _tmp91_;
#line 378 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								if (_inner_error_ != NULL) {
#line 378 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									_g_object_unref0 (info);
#line 378 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									_g_free0 (type);
#line 3670 "postler-accounts.c"
									goto __catch15_g_error;
								}
#line 378 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp93_ = info;
#line 378 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_free0 (_tmp93_->prefix);
#line 378 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp93_->prefix = _tmp92_;
#line 3679 "postler-accounts.c"
							}
#line 379 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp94_ = self->priv->keyfile;
#line 379 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp95_ = group;
#line 379 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp96_ = g_key_file_has_key (_tmp94_, _tmp95_, "receive", &_inner_error_);
#line 379 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp97_ = _tmp96_;
#line 379 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (_inner_error_ != NULL) {
#line 379 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_object_unref0 (info);
#line 379 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_free0 (type);
#line 3695 "postler-accounts.c"
								goto __catch15_g_error;
							}
#line 379 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (_tmp97_) {
#line 3700 "postler-accounts.c"
								GKeyFile* _tmp98_;
								const gchar* _tmp99_;
								gchar* _tmp100_ = NULL;
								gchar* _tmp101_;
								PostlerAccountInfo* _tmp102_;
#line 380 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp98_ = self->priv->keyfile;
#line 380 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp99_ = group;
#line 380 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp100_ = g_key_file_get_string (_tmp98_, _tmp99_, "receive", &_inner_error_);
#line 380 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp101_ = _tmp100_;
#line 380 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								if (_inner_error_ != NULL) {
#line 380 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									_g_object_unref0 (info);
#line 380 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									_g_free0 (type);
#line 3720 "postler-accounts.c"
									goto __catch15_g_error;
								}
#line 380 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp102_ = info;
#line 380 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_free0 (_tmp102_->receive);
#line 380 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp102_->receive = _tmp101_;
#line 3729 "postler-accounts.c"
							}
#line 381 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp103_ = self->priv->keyfile;
#line 381 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp104_ = group;
#line 381 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp105_ = g_key_file_has_key (_tmp103_, _tmp104_, "send", &_inner_error_);
#line 381 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp106_ = _tmp105_;
#line 381 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (_inner_error_ != NULL) {
#line 381 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_object_unref0 (info);
#line 381 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_free0 (type);
#line 3745 "postler-accounts.c"
								goto __catch15_g_error;
							}
#line 381 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (_tmp106_) {
#line 3750 "postler-accounts.c"
								GKeyFile* _tmp107_;
								const gchar* _tmp108_;
								gchar* _tmp109_ = NULL;
								gchar* _tmp110_;
								PostlerAccountInfo* _tmp111_;
#line 382 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp107_ = self->priv->keyfile;
#line 382 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp108_ = group;
#line 382 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp109_ = g_key_file_get_string (_tmp107_, _tmp108_, "send", &_inner_error_);
#line 382 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp110_ = _tmp109_;
#line 382 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								if (_inner_error_ != NULL) {
#line 382 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									_g_object_unref0 (info);
#line 382 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									_g_free0 (type);
#line 3770 "postler-accounts.c"
									goto __catch15_g_error;
								}
#line 382 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp111_ = info;
#line 382 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_free0 (_tmp111_->send);
#line 382 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp111_->send = _tmp110_;
#line 3779 "postler-accounts.c"
							}
#line 383 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp112_ = self->priv->keyfile;
#line 383 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp113_ = group;
#line 383 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp114_ = g_key_file_has_key (_tmp112_, _tmp113_, "send-port", &_inner_error_);
#line 383 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp115_ = _tmp114_;
#line 383 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (_inner_error_ != NULL) {
#line 383 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_object_unref0 (info);
#line 383 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_free0 (type);
#line 3795 "postler-accounts.c"
								goto __catch15_g_error;
							}
#line 383 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (_tmp115_) {
#line 3800 "postler-accounts.c"
								GKeyFile* _tmp116_;
								const gchar* _tmp117_;
								gint _tmp118_ = 0;
								gint _tmp119_;
								PostlerAccountInfo* _tmp120_;
#line 384 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp116_ = self->priv->keyfile;
#line 384 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp117_ = group;
#line 384 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp118_ = g_key_file_get_integer (_tmp116_, _tmp117_, "send-port", &_inner_error_);
#line 384 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp119_ = _tmp118_;
#line 384 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								if (_inner_error_ != NULL) {
#line 384 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									_g_object_unref0 (info);
#line 384 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									_g_free0 (type);
#line 3820 "postler-accounts.c"
									goto __catch15_g_error;
								}
#line 384 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp120_ = info;
#line 384 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp120_->send_port = _tmp119_;
#line 3827 "postler-accounts.c"
							}
#line 385 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp121_ = self->priv->keyfile;
#line 385 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp122_ = group;
#line 385 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp123_ = g_key_file_has_key (_tmp121_, _tmp122_, "certificate", &_inner_error_);
#line 385 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp124_ = _tmp123_;
#line 385 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (_inner_error_ != NULL) {
#line 385 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_object_unref0 (info);
#line 385 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_free0 (type);
#line 3843 "postler-accounts.c"
								goto __catch15_g_error;
							}
#line 385 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (_tmp124_) {
#line 3848 "postler-accounts.c"
								GKeyFile* _tmp125_;
								const gchar* _tmp126_;
								gchar* _tmp127_ = NULL;
								gchar* _tmp128_;
								PostlerAccountInfo* _tmp129_;
#line 386 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp125_ = self->priv->keyfile;
#line 386 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp126_ = group;
#line 386 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp127_ = g_key_file_get_string (_tmp125_, _tmp126_, "certificate", &_inner_error_);
#line 386 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp128_ = _tmp127_;
#line 386 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								if (_inner_error_ != NULL) {
#line 386 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									_g_object_unref0 (info);
#line 386 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									_g_free0 (type);
#line 3868 "postler-accounts.c"
									goto __catch15_g_error;
								}
#line 386 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp129_ = info;
#line 386 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_free0 (_tmp129_->certificate);
#line 386 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp129_->certificate = _tmp128_;
#line 3877 "postler-accounts.c"
							}
#line 387 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp130_ = self->priv->keyfile;
#line 387 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp131_ = group;
#line 387 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp132_ = g_key_file_has_key (_tmp130_, _tmp131_, "unverified", &_inner_error_);
#line 387 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp133_ = _tmp132_;
#line 387 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (_inner_error_ != NULL) {
#line 387 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_object_unref0 (info);
#line 387 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_free0 (type);
#line 3893 "postler-accounts.c"
								goto __catch15_g_error;
							}
#line 387 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (_tmp133_) {
#line 3898 "postler-accounts.c"
								GKeyFile* _tmp134_;
								const gchar* _tmp135_;
								gboolean _tmp136_ = FALSE;
								gboolean _tmp137_;
								PostlerAccountInfo* _tmp138_;
#line 388 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp134_ = self->priv->keyfile;
#line 388 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp135_ = group;
#line 388 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp136_ = g_key_file_get_boolean (_tmp134_, _tmp135_, "unverified", &_inner_error_);
#line 388 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp137_ = _tmp136_;
#line 388 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								if (_inner_error_ != NULL) {
#line 388 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									_g_object_unref0 (info);
#line 388 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									_g_free0 (type);
#line 3918 "postler-accounts.c"
									goto __catch15_g_error;
								}
#line 388 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp138_ = info;
#line 388 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp138_->unverified = _tmp137_;
#line 3925 "postler-accounts.c"
							}
#line 389 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp139_ = self->priv->keyfile;
#line 389 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp140_ = group;
#line 389 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp141_ = g_key_file_has_key (_tmp139_, _tmp140_, "reply", &_inner_error_);
#line 389 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp142_ = _tmp141_;
#line 389 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (_inner_error_ != NULL) {
#line 389 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_object_unref0 (info);
#line 389 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_free0 (type);
#line 3941 "postler-accounts.c"
								goto __catch15_g_error;
							}
#line 389 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (_tmp142_) {
#line 3946 "postler-accounts.c"
								GKeyFile* _tmp143_;
								const gchar* _tmp144_;
								gchar* _tmp145_ = NULL;
								gchar* _tmp146_;
								PostlerAccountInfo* _tmp147_;
#line 390 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp143_ = self->priv->keyfile;
#line 390 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp144_ = group;
#line 390 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp145_ = g_key_file_get_string (_tmp143_, _tmp144_, "reply", &_inner_error_);
#line 390 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp146_ = _tmp145_;
#line 390 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								if (_inner_error_ != NULL) {
#line 390 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									_g_object_unref0 (info);
#line 390 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									_g_free0 (type);
#line 3966 "postler-accounts.c"
									goto __catch15_g_error;
								}
#line 390 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp147_ = info;
#line 390 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_free0 (_tmp147_->reply);
#line 390 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp147_->reply = _tmp146_;
#line 3975 "postler-accounts.c"
							}
#line 391 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp148_ = self->priv->keyfile;
#line 391 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp149_ = group;
#line 391 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp150_ = g_key_file_has_key (_tmp148_, _tmp149_, "organization", &_inner_error_);
#line 391 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp151_ = _tmp150_;
#line 391 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (_inner_error_ != NULL) {
#line 391 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_object_unref0 (info);
#line 391 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_free0 (type);
#line 3991 "postler-accounts.c"
								goto __catch15_g_error;
							}
#line 391 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (_tmp151_) {
#line 3996 "postler-accounts.c"
								GKeyFile* _tmp152_;
								const gchar* _tmp153_;
								gchar* _tmp154_ = NULL;
								gchar* _tmp155_;
								PostlerAccountInfo* _tmp156_;
#line 392 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp152_ = self->priv->keyfile;
#line 392 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp153_ = group;
#line 392 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp154_ = g_key_file_get_string (_tmp152_, _tmp153_, "organization", &_inner_error_);
#line 392 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp155_ = _tmp154_;
#line 392 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								if (_inner_error_ != NULL) {
#line 392 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									_g_object_unref0 (info);
#line 392 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									_g_free0 (type);
#line 4016 "postler-accounts.c"
									goto __catch15_g_error;
								}
#line 392 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp156_ = info;
#line 392 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_free0 (_tmp156_->organization);
#line 392 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp156_->organization = _tmp155_;
#line 4025 "postler-accounts.c"
							}
#line 393 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp157_ = self->priv->keyfile;
#line 393 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp158_ = group;
#line 393 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp159_ = g_key_file_has_key (_tmp157_, _tmp158_, "signature", &_inner_error_);
#line 393 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp160_ = _tmp159_;
#line 393 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (_inner_error_ != NULL) {
#line 393 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_object_unref0 (info);
#line 393 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_free0 (type);
#line 4041 "postler-accounts.c"
								goto __catch15_g_error;
							}
#line 393 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (_tmp160_) {
#line 4046 "postler-accounts.c"
								GKeyFile* _tmp161_;
								const gchar* _tmp162_;
								gchar* _tmp163_ = NULL;
								gchar* _tmp164_;
								PostlerAccountInfo* _tmp165_;
#line 394 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp161_ = self->priv->keyfile;
#line 394 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp162_ = group;
#line 394 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp163_ = g_key_file_get_string (_tmp161_, _tmp162_, "signature", &_inner_error_);
#line 394 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp164_ = _tmp163_;
#line 394 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								if (_inner_error_ != NULL) {
#line 394 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									_g_object_unref0 (info);
#line 394 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									_g_free0 (type);
#line 4066 "postler-accounts.c"
									goto __catch15_g_error;
								}
#line 394 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp165_ = info;
#line 394 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_free0 (_tmp165_->signature);
#line 394 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp165_->signature = _tmp164_;
#line 4075 "postler-accounts.c"
							}
#line 395 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp166_ = self->priv->keyfile;
#line 395 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp167_ = group;
#line 395 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp168_ = g_key_file_has_key (_tmp166_, _tmp167_, "hide", &_inner_error_);
#line 395 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp169_ = _tmp168_;
#line 395 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (_inner_error_ != NULL) {
#line 395 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_object_unref0 (info);
#line 395 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_free0 (type);
#line 4091 "postler-accounts.c"
								goto __catch15_g_error;
							}
#line 395 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (_tmp169_) {
#line 4096 "postler-accounts.c"
								GKeyFile* _tmp170_;
								const gchar* _tmp171_;
								gchar* _tmp172_ = NULL;
								gchar* _tmp173_;
								PostlerAccountInfo* _tmp174_;
#line 396 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp170_ = self->priv->keyfile;
#line 396 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp171_ = group;
#line 396 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp172_ = g_key_file_get_string (_tmp170_, _tmp171_, "hide", &_inner_error_);
#line 396 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp173_ = _tmp172_;
#line 396 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								if (_inner_error_ != NULL) {
#line 396 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									_g_object_unref0 (info);
#line 396 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									_g_free0 (type);
#line 4116 "postler-accounts.c"
									goto __catch15_g_error;
								}
#line 396 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp174_ = info;
#line 396 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_free0 (_tmp174_->hide);
#line 396 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp174_->hide = _tmp173_;
#line 4125 "postler-accounts.c"
							}
							{
								gint ftype;
#line 397 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								ftype = 0;
#line 4131 "postler-accounts.c"
								{
									gboolean _tmp175_;
#line 397 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									_tmp175_ = TRUE;
#line 397 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									while (TRUE) {
#line 4138 "postler-accounts.c"
										gboolean _tmp176_;
										gint _tmp178_;
										gint _tmp179_;
										gchar* _tmp180_ = NULL;
										gchar* _tmp181_;
										gchar* _tmp182_;
										gchar* _tmp183_;
										gchar* keyname;
										GKeyFile* _tmp184_;
										const gchar* _tmp185_;
										const gchar* _tmp186_;
										gboolean _tmp187_ = FALSE;
										gboolean _tmp188_;
#line 397 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
										_tmp176_ = _tmp175_;
#line 397 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
										if (!_tmp176_) {
#line 4156 "postler-accounts.c"
											gint _tmp177_;
#line 397 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
											_tmp177_ = ftype;
#line 397 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
											ftype = _tmp177_ + 1;
#line 4162 "postler-accounts.c"
										}
#line 397 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
										_tmp175_ = FALSE;
#line 397 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
										_tmp178_ = ftype;
#line 397 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
										if (!(_tmp178_ < ((gint) POSTLER_FOLDER_TYPE_MAX))) {
#line 397 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
											break;
#line 4172 "postler-accounts.c"
										}
#line 398 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
										_tmp179_ = ftype;
#line 398 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
										_tmp180_ = g_strdup_printf ("%i", _tmp179_);
#line 398 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
										_tmp181_ = _tmp180_;
#line 398 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
										_tmp182_ = g_strconcat ("localized", _tmp181_, NULL);
#line 398 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
										_tmp183_ = _tmp182_;
#line 398 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
										_g_free0 (_tmp181_);
#line 398 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
										keyname = _tmp183_;
#line 399 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
										_tmp184_ = self->priv->keyfile;
#line 399 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
										_tmp185_ = group;
#line 399 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
										_tmp186_ = keyname;
#line 399 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
										_tmp187_ = g_key_file_has_key (_tmp184_, _tmp185_, _tmp186_, &_inner_error_);
#line 399 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
										_tmp188_ = _tmp187_;
#line 399 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
										if (_inner_error_ != NULL) {
#line 399 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
											_g_free0 (keyname);
#line 399 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
											_g_object_unref0 (info);
#line 399 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
											_g_free0 (type);
#line 4206 "postler-accounts.c"
											goto __catch15_g_error;
										}
#line 399 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
										if (_tmp188_) {
#line 4211 "postler-accounts.c"
											GKeyFile* _tmp189_;
											const gchar* _tmp190_;
											const gchar* _tmp191_;
											gchar* _tmp192_ = NULL;
											gchar* _tmp193_;
											PostlerAccountInfo* _tmp194_;
											gchar** _tmp195_;
											gint _tmp195__length1;
											gint _tmp196_;
											gchar* _tmp197_;
#line 400 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
											_tmp189_ = self->priv->keyfile;
#line 400 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
											_tmp190_ = group;
#line 400 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
											_tmp191_ = keyname;
#line 400 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
											_tmp192_ = g_key_file_get_string (_tmp189_, _tmp190_, _tmp191_, &_inner_error_);
#line 400 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
											_tmp193_ = _tmp192_;
#line 400 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
											if (_inner_error_ != NULL) {
#line 400 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
												_g_free0 (keyname);
#line 400 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
												_g_object_unref0 (info);
#line 400 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
												_g_free0 (type);
#line 4240 "postler-accounts.c"
												goto __catch15_g_error;
											}
#line 400 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
											_tmp194_ = info;
#line 400 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
											_tmp195_ = _tmp194_->folders;
#line 400 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
											_tmp195__length1 = _tmp194_->folders_length1;
#line 400 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
											_tmp196_ = ftype;
#line 400 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
											_g_free0 (_tmp195_[_tmp196_]);
#line 400 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
											_tmp195_[_tmp196_] = _tmp193_;
#line 400 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
											_tmp197_ = _tmp195_[_tmp196_];
#line 4257 "postler-accounts.c"
										}
#line 397 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
										_g_free0 (keyname);
#line 4261 "postler-accounts.c"
									}
								}
							}
						} else {
							const gchar* _tmp198_;
#line 403 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							_tmp198_ = type;
#line 403 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
							if (g_strcmp0 (_tmp198_, "search") == 0) {
#line 4271 "postler-accounts.c"
								PostlerAccountInfo* _tmp199_;
								GKeyFile* _tmp200_;
								const gchar* _tmp201_;
								gchar* _tmp202_ = NULL;
								gchar* _tmp203_;
								PostlerAccountInfo* _tmp204_;
#line 404 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp199_ = info;
#line 404 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp199_->type = POSTLER_ACCOUNT_TYPE_SEARCH;
#line 405 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp200_ = self->priv->keyfile;
#line 405 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp201_ = group;
#line 405 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp202_ = g_key_file_get_string (_tmp200_, _tmp201_, "path", &_inner_error_);
#line 405 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp203_ = _tmp202_;
#line 405 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								if (_inner_error_ != NULL) {
#line 405 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									_g_object_unref0 (info);
#line 405 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
									_g_free0 (type);
#line 4296 "postler-accounts.c"
									goto __catch15_g_error;
								}
#line 405 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp204_ = info;
#line 405 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_free0 (_tmp204_->path);
#line 405 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp204_->path = _tmp203_;
#line 4305 "postler-accounts.c"
							} else {
								const gchar* _tmp205_ = NULL;
								const gchar* _tmp206_;
								gchar* _tmp207_ = NULL;
								gchar* _tmp208_;
								GError* _tmp209_;
								GError* _tmp210_;
#line 408 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp205_ = _ ("Invalid type \"%s\"");
#line 408 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp206_ = type;
#line 408 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp207_ = g_strdup_printf (_tmp205_, _tmp206_);
#line 408 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp208_ = _tmp207_;
#line 408 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp209_ = g_error_new_literal (G_FILE_ERROR, G_FILE_ERROR_FAILED, _tmp208_);
#line 408 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_tmp210_ = _tmp209_;
#line 408 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_free0 (_tmp208_);
#line 408 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_inner_error_ = _tmp210_;
#line 408 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_object_unref0 (info);
#line 408 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
								_g_free0 (type);
#line 4333 "postler-accounts.c"
								goto __catch15_g_error;
							}
						}
					}
#line 410 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp211_ = info;
#line 410 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp212_ = _g_object_ref0 (_tmp211_);
#line 410 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					self->priv->infos = g_list_prepend (self->priv->infos, _tmp212_);
#line 353 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_g_object_unref0 (info);
#line 353 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_g_free0 (type);
#line 4348 "postler-accounts.c"
				}
				goto __finally15;
				__catch15_g_error:
				{
					GError* _error_ = NULL;
					const gchar* _tmp213_ = NULL;
					const gchar* _tmp214_;
					GError* _tmp215_;
					const gchar* _tmp216_;
#line 353 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_error_ = _inner_error_;
#line 353 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_inner_error_ = NULL;
#line 413 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp213_ = _ ("Failed to parse account in \"%s\": %s");
#line 413 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp214_ = self->priv->account_file;
#line 413 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp215_ = _error_;
#line 413 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp216_ = _tmp215_->message;
#line 413 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					g_critical (_tmp213_, _tmp214_, _tmp216_);
#line 353 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_g_error_free0 (_error_);
#line 4374 "postler-accounts.c"
				}
				__finally15:
#line 353 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				if (_inner_error_ != NULL) {
#line 353 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_g_free0 (group);
#line 353 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					group_collection = (_vala_array_free (group_collection, group_collection_length1, (GDestroyNotify) g_free), NULL);
#line 353 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 353 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					g_clear_error (&_inner_error_);
#line 353 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					return;
#line 4389 "postler-accounts.c"
				}
#line 352 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_g_free0 (group);
#line 4393 "postler-accounts.c"
			}
		}
#line 352 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		group_collection = (_vala_array_free (group_collection, group_collection_length1, (GDestroyNotify) g_free), NULL);
#line 4398 "postler-accounts.c"
	}
#line 417 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	self->priv->infos = g_list_reverse (self->priv->infos);
#line 418 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	postler_accounts_update_display_names (self);
#line 4404 "postler-accounts.c"
}


static void _vala_array_add1 (gchar*** array, int* length, int* size, gchar* value) {
#line 425 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	if ((*length) == (*size)) {
#line 425 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		*size = (*size) ? (2 * (*size)) : 4;
#line 425 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		*array = g_renew (gchar*, *array, (*size) + 1);
#line 4415 "postler-accounts.c"
	}
#line 425 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	(*array)[(*length)++] = value;
#line 425 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	(*array)[*length] = NULL;
#line 4421 "postler-accounts.c"
}


gchar** postler_accounts_get_folders (PostlerAccounts* self, int* result_length1) {
	gchar** result = NULL;
	gchar** _tmp0_ = NULL;
	gchar** folders;
	gint folders_length1;
	gint _folders_size_;
	GList* _tmp1_;
	gchar** _tmp8_;
	gint _tmp8__length1;
#line 421 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 422 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp0_ = g_new0 (gchar*, 0 + 1);
#line 422 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	folders = _tmp0_;
#line 422 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	folders_length1 = 0;
#line 422 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_folders_size_ = folders_length1;
#line 423 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp1_ = self->priv->infos;
#line 4446 "postler-accounts.c"
	{
		GList* info_collection = NULL;
		GList* info_it = NULL;
#line 423 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		info_collection = _tmp1_;
#line 423 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		for (info_it = info_collection; info_it != NULL; info_it = info_it->next) {
#line 4454 "postler-accounts.c"
			PostlerAccountInfo* info = NULL;
#line 423 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			info = (PostlerAccountInfo*) info_it->data;
#line 4458 "postler-accounts.c"
			{
				PostlerAccountInfo* _tmp2_;
				PostlerAccountType _tmp3_;
#line 424 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp2_ = info;
#line 424 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp3_ = _tmp2_->type;
#line 424 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				if (_tmp3_ != POSTLER_ACCOUNT_TYPE_SEARCH) {
#line 4468 "postler-accounts.c"
					gchar** _tmp4_;
					gint _tmp4__length1;
					PostlerAccountInfo* _tmp5_;
					const gchar* _tmp6_;
					gchar* _tmp7_;
#line 425 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp4_ = folders;
#line 425 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp4__length1 = folders_length1;
#line 425 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp5_ = info;
#line 425 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp6_ = _tmp5_->path;
#line 425 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp7_ = g_strdup (_tmp6_);
#line 425 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_vala_array_add1 (&folders, &folders_length1, &_folders_size_, _tmp7_);
#line 4486 "postler-accounts.c"
				}
			}
		}
	}
#line 427 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp8_ = folders;
#line 427 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp8__length1 = folders_length1;
#line 427 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	if (result_length1) {
#line 427 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		*result_length1 = _tmp8__length1;
#line 4499 "postler-accounts.c"
	}
#line 427 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	result = _tmp8_;
#line 427 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	return result;
#line 4505 "postler-accounts.c"
}


GList* postler_accounts_get_infos (PostlerAccounts* self) {
	GList* result = NULL;
	GList* _tmp0_;
#line 430 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 431 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp0_ = self->priv->infos;
#line 431 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	result = _tmp0_;
#line 431 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	return result;
#line 4520 "postler-accounts.c"
}


static gchar* postler_accounts_get_tool_configfile (PostlerAccounts* self, const gchar* send, PostlerAccountInfo* info, GError** error) {
	gchar* result = NULL;
	const gchar* _tmp0_ = NULL;
	const gchar* cache_dir;
	const gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* cache_path;
	const gchar* _tmp3_;
	gint _tmp4_ = 0;
	const gchar* _tmp7_;
	PostlerAccountInfo* _tmp12_;
	PostlerAccountType _tmp13_;
	GError * _inner_error_ = NULL;
#line 446 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 446 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	g_return_val_if_fail (info != NULL, NULL);
#line 447 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp0_ = g_get_user_cache_dir ();
#line 447 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	cache_dir = _tmp0_;
#line 448 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp1_ = cache_dir;
#line 448 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp2_ = g_strconcat (_tmp1_, "/postler/mail", NULL);
#line 448 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	cache_path = _tmp2_;
#line 449 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp3_ = cache_path;
#line 449 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp4_ = g_mkdir_with_parents (_tmp3_, 0700);
#line 449 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	if (_tmp4_ != 0) {
#line 4557 "postler-accounts.c"
		const gchar* _tmp5_ = NULL;
		GError* _tmp6_;
#line 450 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp5_ = _ ("Cache folder couldn't be created.");
#line 450 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp6_ = g_error_new_literal (G_FILE_ERROR, G_FILE_ERROR_FAILED, _tmp5_);
#line 450 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_inner_error_ = _tmp6_;
#line 450 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		if (_inner_error_->domain == G_FILE_ERROR) {
#line 450 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			g_propagate_error (error, _inner_error_);
#line 450 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_g_free0 (cache_path);
#line 450 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			return NULL;
#line 4574 "postler-accounts.c"
		} else {
#line 450 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_g_free0 (cache_path);
#line 450 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 450 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			g_clear_error (&_inner_error_);
#line 450 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			return NULL;
#line 4584 "postler-accounts.c"
		}
	}
#line 452 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp7_ = send;
#line 452 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	if (_tmp7_ != NULL) {
#line 4591 "postler-accounts.c"
		const gchar* _tmp8_;
		PostlerAccountInfo* _tmp9_;
		const gchar* _tmp10_;
		gchar* _tmp11_ = NULL;
#line 453 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp8_ = cache_path;
#line 453 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp9_ = info;
#line 453 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp10_ = _tmp9_->name;
#line 453 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp11_ = g_strdup_printf ("%s/%s.msmtprc", _tmp8_, _tmp10_);
#line 453 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		result = _tmp11_;
#line 453 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_g_free0 (cache_path);
#line 453 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		return result;
#line 4610 "postler-accounts.c"
	}
#line 455 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp12_ = info;
#line 455 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp13_ = _tmp12_->type;
#line 455 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	switch (_tmp13_) {
#line 455 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		case POSTLER_ACCOUNT_TYPE_IMAP:
#line 4620 "postler-accounts.c"
		{
			const gchar* _tmp14_;
			PostlerAccountInfo* _tmp15_;
			const gchar* _tmp16_;
			gchar* _tmp17_ = NULL;
#line 457 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp14_ = cache_path;
#line 457 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp15_ = info;
#line 457 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp16_ = _tmp15_->name;
#line 457 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp17_ = g_strdup_printf ("%s/%s.mbsyncrc", _tmp14_, _tmp16_);
#line 457 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			result = _tmp17_;
#line 457 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_g_free0 (cache_path);
#line 457 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			return result;
#line 4640 "postler-accounts.c"
		}
#line 455 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		case POSTLER_ACCOUNT_TYPE_MAILDIR:
#line 455 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		case POSTLER_ACCOUNT_TYPE_SEARCH:
#line 4646 "postler-accounts.c"
		{
			const gchar* _tmp18_ = NULL;
			GError* _tmp19_;
#line 460 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp18_ = _ ("This type can't receive mail.");
#line 460 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp19_ = g_error_new_literal (G_FILE_ERROR, G_FILE_ERROR_FAILED, _tmp18_);
#line 460 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_inner_error_ = _tmp19_;
#line 460 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			if (_inner_error_->domain == G_FILE_ERROR) {
#line 460 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				g_propagate_error (error, _inner_error_);
#line 460 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_g_free0 (cache_path);
#line 460 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				return NULL;
#line 4664 "postler-accounts.c"
			} else {
#line 460 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_g_free0 (cache_path);
#line 460 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 460 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				g_clear_error (&_inner_error_);
#line 460 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				return NULL;
#line 4674 "postler-accounts.c"
			}
		}
		default:
#line 455 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		break;
#line 4680 "postler-accounts.c"
	}
#line 462 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	result = NULL;
#line 462 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_free0 (cache_path);
#line 462 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	return result;
#line 4688 "postler-accounts.c"
}


static gchar* postler_accounts_get_tool_configuration (PostlerAccounts* self, const gchar* send, PostlerAccountInfo* info, GError** error) {
	gchar* result = NULL;
	const gchar* _tmp0_;
	PostlerAccountInfo* _tmp1_;
	gchar* _tmp2_ = NULL;
	gchar* filename;
	struct stat account_file_status = {0};
	const gchar* _tmp3_;
	struct stat _tmp4_ = {0};
	struct stat filename_status = {0};
	const gchar* _tmp5_;
	struct stat _tmp6_ = {0};
	struct stat _tmp7_;
	time_t _tmp8_;
	struct stat _tmp9_;
	time_t _tmp10_;
	const gchar* _tmp11_;
	PostlerAccountInfo* _tmp14_;
	const gchar* _tmp15_;
	gboolean _tmp52_ = FALSE;
	const gchar* _tmp53_;
	gboolean _tmp56_;
	gboolean _tmp59_ = FALSE;
	const gchar* _tmp60_;
	gboolean _tmp63_;
	PostlerAccountInfo* _tmp66_;
	const gchar* _tmp67_;
	PostlerAccountInfo* _tmp70_;
	const gchar* _tmp71_;
	PostlerAccountInfo* _tmp74_;
	const gchar* _tmp75_;
	gchar* _tmp76_;
	gchar* certificate;
	gboolean _tmp77_ = FALSE;
	const gchar* _tmp78_;
	gboolean _tmp81_;
	PostlerAccountInfo* _tmp88_;
	const gchar* _tmp89_;
	gchar** _tmp90_;
	gchar** _tmp91_ = NULL;
	gchar** hidden_tmp;
	gint hidden_tmp_length1;
	gint _hidden_tmp_size_;
	gchar* _tmp92_;
	gchar* hidden_folders;
	gchar** _tmp93_;
	gint _tmp93__length1;
	const gchar* _tmp111_;
	PostlerAccountInfo* _tmp160_;
	PostlerAccountType _tmp161_;
	GError * _inner_error_ = NULL;
#line 465 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 465 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	g_return_val_if_fail (info != NULL, NULL);
#line 466 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp0_ = send;
#line 466 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp1_ = info;
#line 466 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp2_ = postler_accounts_get_tool_configfile (self, _tmp0_, _tmp1_, &_inner_error_);
#line 466 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	filename = _tmp2_;
#line 466 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	if (_inner_error_ != NULL) {
#line 466 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		if (_inner_error_->domain == G_FILE_ERROR) {
#line 466 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			g_propagate_error (error, _inner_error_);
#line 466 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			return NULL;
#line 4763 "postler-accounts.c"
		} else {
#line 466 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 466 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			g_clear_error (&_inner_error_);
#line 466 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			return NULL;
#line 4771 "postler-accounts.c"
		}
	}
#line 470 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp3_ = self->priv->account_file;
#line 470 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	stat (_tmp3_, &_tmp4_);
#line 470 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	account_file_status = _tmp4_;
#line 472 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp5_ = filename;
#line 472 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	stat (_tmp5_, &_tmp6_);
#line 472 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	filename_status = _tmp6_;
#line 473 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp7_ = account_file_status;
#line 473 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp8_ = _tmp7_.st_mtime;
#line 473 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp9_ = filename_status;
#line 473 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp10_ = _tmp9_.st_mtime;
#line 473 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	if (_tmp8_ < _tmp10_) {
#line 474 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		result = filename;
#line 474 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		return result;
#line 4800 "postler-accounts.c"
	}
#line 476 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp11_ = self->priv->certificate_file;
#line 476 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	if (_tmp11_ == NULL) {
#line 4806 "postler-accounts.c"
		const gchar* _tmp12_ = NULL;
		GError* _tmp13_;
#line 477 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp12_ = _ ("No SSL certificates available");
#line 477 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp13_ = g_error_new_literal (G_FILE_ERROR, G_FILE_ERROR_FAILED, _tmp12_);
#line 477 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_inner_error_ = _tmp13_;
#line 477 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		if (_inner_error_->domain == G_FILE_ERROR) {
#line 477 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			g_propagate_error (error, _inner_error_);
#line 477 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_g_free0 (filename);
#line 477 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			return NULL;
#line 4823 "postler-accounts.c"
		} else {
#line 477 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_g_free0 (filename);
#line 477 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 477 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			g_clear_error (&_inner_error_);
#line 477 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			return NULL;
#line 4833 "postler-accounts.c"
		}
	}
#line 479 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp14_ = info;
#line 479 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp15_ = _tmp14_->address;
#line 479 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	if (_tmp15_ != NULL) {
#line 4842 "postler-accounts.c"
		PostlerAccountInfo* _tmp16_;
		const gchar* _tmp17_;
		gchar** _tmp18_;
		gchar** _tmp19_ = NULL;
		gchar** address_parts;
		gint address_parts_length1;
		gint _address_parts_size_;
		gboolean _tmp20_ = FALSE;
		gchar** _tmp21_;
		gint _tmp21__length1;
		const gchar* _tmp22_;
		gboolean _tmp25_;
		gboolean _tmp28_ = FALSE;
		const gchar* _tmp29_;
		gboolean _tmp32_;
		gboolean _tmp37_ = FALSE;
		const gchar* _tmp38_;
		gboolean _tmp41_;
		PostlerAccountInfo* _tmp46_;
		const gchar* _tmp47_;
#line 480 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp16_ = info;
#line 480 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp17_ = _tmp16_->address;
#line 480 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp19_ = _tmp18_ = g_strsplit_set (_tmp17_, "@,", 3);
#line 480 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		address_parts = _tmp19_;
#line 480 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		address_parts_length1 = _vala_array_length (_tmp18_);
#line 480 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_address_parts_size_ = address_parts_length1;
#line 481 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp21_ = address_parts;
#line 481 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp21__length1 = address_parts_length1;
#line 481 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp22_ = _tmp21_[0];
#line 481 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		if (_tmp22_ == NULL) {
#line 481 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp20_ = TRUE;
#line 4885 "postler-accounts.c"
		} else {
			gchar** _tmp23_;
			gint _tmp23__length1;
			const gchar* _tmp24_;
#line 481 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp23_ = address_parts;
#line 481 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp23__length1 = address_parts_length1;
#line 481 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp24_ = _tmp23_[1];
#line 481 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp20_ = _tmp24_ == NULL;
#line 4898 "postler-accounts.c"
		}
#line 481 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp25_ = _tmp20_;
#line 481 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		if (_tmp25_) {
#line 4904 "postler-accounts.c"
			const gchar* _tmp26_ = NULL;
			GError* _tmp27_;
#line 482 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp26_ = _ ("Invalid address");
#line 482 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp27_ = g_error_new_literal (G_FILE_ERROR, G_FILE_ERROR_FAILED, _tmp26_);
#line 482 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_inner_error_ = _tmp27_;
#line 482 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			if (_inner_error_->domain == G_FILE_ERROR) {
#line 482 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				g_propagate_error (error, _inner_error_);
#line 482 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				address_parts = (_vala_array_free (address_parts, address_parts_length1, (GDestroyNotify) g_free), NULL);
#line 482 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_g_free0 (filename);
#line 482 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				return NULL;
#line 4923 "postler-accounts.c"
			} else {
#line 482 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				address_parts = (_vala_array_free (address_parts, address_parts_length1, (GDestroyNotify) g_free), NULL);
#line 482 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_g_free0 (filename);
#line 482 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 482 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				g_clear_error (&_inner_error_);
#line 482 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				return NULL;
#line 4935 "postler-accounts.c"
			}
		}
#line 483 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp29_ = send;
#line 483 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		if (_tmp29_ == NULL) {
#line 4942 "postler-accounts.c"
			PostlerAccountInfo* _tmp30_;
			const gchar* _tmp31_;
#line 483 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp30_ = info;
#line 483 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp31_ = _tmp30_->receive;
#line 483 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp28_ = _tmp31_ == NULL;
#line 4951 "postler-accounts.c"
		} else {
#line 483 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp28_ = FALSE;
#line 4955 "postler-accounts.c"
		}
#line 483 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp32_ = _tmp28_;
#line 483 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		if (_tmp32_) {
#line 4961 "postler-accounts.c"
			PostlerAccountInfo* _tmp33_;
			gchar** _tmp34_;
			gint _tmp34__length1;
			const gchar* _tmp35_;
			gchar* _tmp36_;
#line 484 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp33_ = info;
#line 484 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp34_ = address_parts;
#line 484 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp34__length1 = address_parts_length1;
#line 484 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp35_ = _tmp34_[1];
#line 484 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp36_ = g_strconcat ("imap.", _tmp35_, NULL);
#line 484 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_g_free0 (_tmp33_->receive);
#line 484 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp33_->receive = _tmp36_;
#line 4981 "postler-accounts.c"
		}
#line 485 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp38_ = send;
#line 485 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		if (_tmp38_ != NULL) {
#line 4987 "postler-accounts.c"
			PostlerAccountInfo* _tmp39_;
			const gchar* _tmp40_;
#line 485 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp39_ = info;
#line 485 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp40_ = _tmp39_->send;
#line 485 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp37_ = _tmp40_ == NULL;
#line 4996 "postler-accounts.c"
		} else {
#line 485 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp37_ = FALSE;
#line 5000 "postler-accounts.c"
		}
#line 485 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp41_ = _tmp37_;
#line 485 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		if (_tmp41_) {
#line 5006 "postler-accounts.c"
			PostlerAccountInfo* _tmp42_;
			gchar** _tmp43_;
			gint _tmp43__length1;
			const gchar* _tmp44_;
			gchar* _tmp45_;
#line 486 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp42_ = info;
#line 486 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp43_ = address_parts;
#line 486 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp43__length1 = address_parts_length1;
#line 486 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp44_ = _tmp43_[1];
#line 486 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp45_ = g_strconcat ("smtp.", _tmp44_, NULL);
#line 486 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_g_free0 (_tmp42_->send);
#line 486 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp42_->send = _tmp45_;
#line 5026 "postler-accounts.c"
		}
#line 487 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp46_ = info;
#line 487 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp47_ = _tmp46_->username;
#line 487 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		if (_tmp47_ == NULL) {
#line 5034 "postler-accounts.c"
			PostlerAccountInfo* _tmp48_;
			gchar** _tmp49_;
			gint _tmp49__length1;
			const gchar* _tmp50_;
			gchar* _tmp51_;
#line 488 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp48_ = info;
#line 488 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp49_ = address_parts;
#line 488 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp49__length1 = address_parts_length1;
#line 488 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp50_ = _tmp49_[0];
#line 488 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp51_ = g_strdup (_tmp50_);
#line 488 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_g_free0 (_tmp48_->username);
#line 488 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp48_->username = _tmp51_;
#line 5054 "postler-accounts.c"
		}
#line 479 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		address_parts = (_vala_array_free (address_parts, address_parts_length1, (GDestroyNotify) g_free), NULL);
#line 5058 "postler-accounts.c"
	}
#line 491 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp53_ = send;
#line 491 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	if (_tmp53_ == NULL) {
#line 5064 "postler-accounts.c"
		PostlerAccountInfo* _tmp54_;
		const gchar* _tmp55_;
#line 491 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp54_ = info;
#line 491 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp55_ = _tmp54_->receive;
#line 491 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp52_ = _tmp55_ == NULL;
#line 5073 "postler-accounts.c"
	} else {
#line 491 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp52_ = FALSE;
#line 5077 "postler-accounts.c"
	}
#line 491 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp56_ = _tmp52_;
#line 491 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	if (_tmp56_) {
#line 5083 "postler-accounts.c"
		const gchar* _tmp57_ = NULL;
		GError* _tmp58_;
#line 492 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp57_ = _ ("Hostname is missing");
#line 492 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp58_ = g_error_new_literal (G_FILE_ERROR, G_FILE_ERROR_FAILED, _tmp57_);
#line 492 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_inner_error_ = _tmp58_;
#line 492 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		if (_inner_error_->domain == G_FILE_ERROR) {
#line 492 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			g_propagate_error (error, _inner_error_);
#line 492 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_g_free0 (filename);
#line 492 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			return NULL;
#line 5100 "postler-accounts.c"
		} else {
#line 492 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_g_free0 (filename);
#line 492 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 492 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			g_clear_error (&_inner_error_);
#line 492 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			return NULL;
#line 5110 "postler-accounts.c"
		}
	}
#line 493 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp60_ = send;
#line 493 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	if (_tmp60_ != NULL) {
#line 5117 "postler-accounts.c"
		PostlerAccountInfo* _tmp61_;
		const gchar* _tmp62_;
#line 493 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp61_ = info;
#line 493 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp62_ = _tmp61_->send;
#line 493 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp59_ = _tmp62_ == NULL;
#line 5126 "postler-accounts.c"
	} else {
#line 493 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp59_ = FALSE;
#line 5130 "postler-accounts.c"
	}
#line 493 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp63_ = _tmp59_;
#line 493 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	if (_tmp63_) {
#line 5136 "postler-accounts.c"
		const gchar* _tmp64_ = NULL;
		GError* _tmp65_;
#line 494 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp64_ = _ ("Hostname is missing");
#line 494 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp65_ = g_error_new_literal (G_FILE_ERROR, G_FILE_ERROR_FAILED, _tmp64_);
#line 494 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_inner_error_ = _tmp65_;
#line 494 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		if (_inner_error_->domain == G_FILE_ERROR) {
#line 494 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			g_propagate_error (error, _inner_error_);
#line 494 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_g_free0 (filename);
#line 494 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			return NULL;
#line 5153 "postler-accounts.c"
		} else {
#line 494 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_g_free0 (filename);
#line 494 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 494 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			g_clear_error (&_inner_error_);
#line 494 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			return NULL;
#line 5163 "postler-accounts.c"
		}
	}
#line 495 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp66_ = info;
#line 495 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp67_ = _tmp66_->username;
#line 495 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	if (_tmp67_ == NULL) {
#line 5172 "postler-accounts.c"
		const gchar* _tmp68_ = NULL;
		GError* _tmp69_;
#line 496 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp68_ = _ ("Username is missing");
#line 496 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp69_ = g_error_new_literal (G_FILE_ERROR, G_FILE_ERROR_FAILED, _tmp68_);
#line 496 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_inner_error_ = _tmp69_;
#line 496 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		if (_inner_error_->domain == G_FILE_ERROR) {
#line 496 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			g_propagate_error (error, _inner_error_);
#line 496 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_g_free0 (filename);
#line 496 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			return NULL;
#line 5189 "postler-accounts.c"
		} else {
#line 496 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_g_free0 (filename);
#line 496 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 496 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			g_clear_error (&_inner_error_);
#line 496 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			return NULL;
#line 5199 "postler-accounts.c"
		}
	}
#line 497 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp70_ = info;
#line 497 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp71_ = _tmp70_->password;
#line 497 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	if (_tmp71_ == NULL) {
#line 5208 "postler-accounts.c"
		const gchar* _tmp72_ = NULL;
		GError* _tmp73_;
#line 498 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp72_ = _ ("Password is missing");
#line 498 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp73_ = g_error_new_literal (G_FILE_ERROR, G_FILE_ERROR_FAILED, _tmp72_);
#line 498 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_inner_error_ = _tmp73_;
#line 498 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		if (_inner_error_->domain == G_FILE_ERROR) {
#line 498 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			g_propagate_error (error, _inner_error_);
#line 498 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_g_free0 (filename);
#line 498 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			return NULL;
#line 5225 "postler-accounts.c"
		} else {
#line 498 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_g_free0 (filename);
#line 498 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 498 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			g_clear_error (&_inner_error_);
#line 498 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			return NULL;
#line 5235 "postler-accounts.c"
		}
	}
#line 499 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp74_ = info;
#line 499 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp75_ = _tmp74_->certificate;
#line 499 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp76_ = g_strdup (_tmp75_);
#line 499 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	certificate = _tmp76_;
#line 500 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp78_ = certificate;
#line 500 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	if (_tmp78_ != NULL) {
#line 5250 "postler-accounts.c"
		const gchar* _tmp79_;
		gboolean _tmp80_ = FALSE;
#line 500 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp79_ = certificate;
#line 500 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp80_ = g_path_is_absolute (_tmp79_);
#line 500 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp77_ = !_tmp80_;
#line 5259 "postler-accounts.c"
	} else {
#line 500 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp77_ = FALSE;
#line 5263 "postler-accounts.c"
	}
#line 500 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp81_ = _tmp77_;
#line 500 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	if (_tmp81_) {
#line 5269 "postler-accounts.c"
		PostlerAccountInfo* _tmp82_;
		const gchar* _tmp83_;
		gchar* _tmp84_;
		gchar* _tmp85_;
		const gchar* _tmp86_;
		gchar* _tmp87_;
#line 501 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp82_ = info;
#line 501 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp83_ = _tmp82_->path;
#line 501 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp84_ = g_strconcat (_tmp83_, "/", NULL);
#line 501 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp85_ = _tmp84_;
#line 501 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp86_ = certificate;
#line 501 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp87_ = g_strconcat (_tmp85_, _tmp86_, NULL);
#line 501 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_g_free0 (certificate);
#line 501 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		certificate = _tmp87_;
#line 501 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_g_free0 (_tmp85_);
#line 5294 "postler-accounts.c"
	}
#line 504 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp88_ = info;
#line 504 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp89_ = _tmp88_->hide;
#line 504 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp91_ = _tmp90_ = g_strsplit (_tmp89_, ",", 0);
#line 504 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	hidden_tmp = _tmp91_;
#line 504 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	hidden_tmp_length1 = _vala_array_length (_tmp90_);
#line 504 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_hidden_tmp_size_ = hidden_tmp_length1;
#line 505 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp92_ = g_strdup ("");
#line 505 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	hidden_folders = _tmp92_;
#line 506 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp93_ = hidden_tmp;
#line 506 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp93__length1 = hidden_tmp_length1;
#line 5316 "postler-accounts.c"
	{
		gchar** hidden_collection = NULL;
		gint hidden_collection_length1 = 0;
		gint _hidden_collection_size_ = 0;
		gint hidden_it = 0;
#line 506 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		hidden_collection = _tmp93_;
#line 506 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		hidden_collection_length1 = _tmp93__length1;
#line 506 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		for (hidden_it = 0; hidden_it < _tmp93__length1; hidden_it = hidden_it + 1) {
#line 5328 "postler-accounts.c"
			gchar* _tmp94_;
			gchar* hidden = NULL;
#line 506 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp94_ = g_strdup (hidden_collection[hidden_it]);
#line 506 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			hidden = _tmp94_;
#line 5335 "postler-accounts.c"
			{
				const gchar* _tmp95_;
				gboolean _tmp96_ = FALSE;
#line 507 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp95_ = hidden;
#line 507 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp96_ = string_contains (_tmp95_, " ");
#line 507 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				if (_tmp96_) {
#line 5345 "postler-accounts.c"
					const gchar* _tmp97_;
					const gchar* _tmp98_;
					gchar* _tmp99_ = NULL;
					gchar* _tmp100_;
					gchar* _tmp101_;
					gchar* _tmp102_;
					gchar* _tmp103_;
					gchar* _tmp104_;
					gchar* _tmp105_;
#line 508 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp97_ = hidden_folders;
#line 508 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp98_ = hidden;
#line 508 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp99_ = string_replace (_tmp98_, "~-", "/");
#line 508 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp100_ = _tmp99_;
#line 508 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp101_ = g_strconcat (" \"!", _tmp100_, NULL);
#line 508 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp102_ = _tmp101_;
#line 508 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp103_ = g_strconcat (_tmp102_, "\"", NULL);
#line 508 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp104_ = _tmp103_;
#line 508 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp105_ = g_strconcat (_tmp97_, _tmp104_, NULL);
#line 508 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_g_free0 (hidden_folders);
#line 508 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					hidden_folders = _tmp105_;
#line 508 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_g_free0 (_tmp104_);
#line 508 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_g_free0 (_tmp102_);
#line 508 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_g_free0 (_tmp100_);
#line 5383 "postler-accounts.c"
				} else {
					const gchar* _tmp106_;
					const gchar* _tmp107_;
					gchar* _tmp108_;
					gchar* _tmp109_;
					gchar* _tmp110_;
#line 510 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp106_ = hidden_folders;
#line 510 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp107_ = hidden;
#line 510 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp108_ = g_strconcat (" !", _tmp107_, NULL);
#line 510 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp109_ = _tmp108_;
#line 510 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_tmp110_ = g_strconcat (_tmp106_, _tmp109_, NULL);
#line 510 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_g_free0 (hidden_folders);
#line 510 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					hidden_folders = _tmp110_;
#line 510 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_g_free0 (_tmp109_);
#line 5406 "postler-accounts.c"
				}
#line 506 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_g_free0 (hidden);
#line 5410 "postler-accounts.c"
			}
		}
	}
#line 513 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp111_ = send;
#line 513 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	if (_tmp111_ != NULL) {
#line 5418 "postler-accounts.c"
		gchar* tls_options = NULL;
		PostlerAccountInfo* _tmp112_;
		gboolean _tmp113_;
		PostlerAccountInfo* _tmp122_;
		gint _tmp123_;
		gint _tmp126_ = 0;
		PostlerAccountInfo* _tmp127_;
		gint _tmp128_;
		const gchar* _tmp131_;
		PostlerAccountInfo* _tmp132_;
		const gchar* _tmp133_;
		gchar** _tmp134_;
		gchar** _tmp135_ = NULL;
		gchar** _tmp136_;
		gint _tmp136__length1;
		const gchar* _tmp137_;
		gchar** _tmp138_;
		gchar** _tmp139_ = NULL;
		gchar** _tmp140_;
		gint _tmp140__length1;
		const gchar* _tmp141_;
		PostlerAccountInfo* _tmp142_;
		const gchar* _tmp143_;
		PostlerAccountInfo* _tmp144_;
		const gchar* _tmp145_;
		gchar** _tmp146_;
		gchar** _tmp147_ = NULL;
		gchar** _tmp148_;
		gint _tmp148__length1;
		const gchar* _tmp149_;
		PostlerAccountInfo* _tmp150_;
		const gchar* _tmp151_;
		PostlerAccountInfo* _tmp152_;
		const gchar* _tmp153_;
		gint _tmp154_;
		gchar* _tmp155_ = NULL;
		gchar* _tmp156_;
		gchar* msmtprc;
		const gchar* _tmp157_;
		const gchar* _tmp158_;
		const gchar* _tmp159_;
#line 515 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp112_ = info;
#line 515 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp113_ = _tmp112_->unverified;
#line 515 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		if (_tmp113_) {
#line 5466 "postler-accounts.c"
			gchar* _tmp114_;
#line 516 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp114_ = g_strdup ("tls_certcheck off");
#line 516 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_g_free0 (tls_options);
#line 516 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			tls_options = _tmp114_;
#line 5474 "postler-accounts.c"
		} else {
			const gchar* _tmp115_ = NULL;
			const gchar* _tmp116_;
			const gchar* _tmp119_;
			const gchar* _tmp120_;
			gchar* _tmp121_ = NULL;
#line 520 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp116_ = certificate;
#line 520 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			if (_tmp116_ != NULL) {
#line 5485 "postler-accounts.c"
				const gchar* _tmp117_;
#line 520 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp117_ = certificate;
#line 520 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp115_ = _tmp117_;
#line 5491 "postler-accounts.c"
			} else {
				const gchar* _tmp118_;
#line 520 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp118_ = self->priv->certificate_file;
#line 520 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp115_ = _tmp118_;
#line 5498 "postler-accounts.c"
			}
#line 518 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp119_ = self->priv->certificate_file;
#line 518 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp120_ = _tmp115_;
#line 518 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp121_ = g_strdup_printf ("tls_trust_file %s\ntls_trust_file %s", _tmp119_, _tmp120_);
#line 518 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_g_free0 (tls_options);
#line 518 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			tls_options = _tmp121_;
#line 5510 "postler-accounts.c"
		}
#line 521 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp122_ = info;
#line 521 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp123_ = _tmp122_->send_port;
#line 521 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		if (_tmp123_ == 465) {
#line 5518 "postler-accounts.c"
			const gchar* _tmp124_;
			gchar* _tmp125_;
#line 522 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp124_ = tls_options;
#line 522 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp125_ = g_strconcat (_tmp124_, "\ntls_starttls off", NULL);
#line 522 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_g_free0 (tls_options);
#line 522 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			tls_options = _tmp125_;
#line 5529 "postler-accounts.c"
		}
#line 546 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp127_ = info;
#line 546 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp128_ = _tmp127_->send_port;
#line 546 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		if (_tmp128_ != 0) {
#line 5537 "postler-accounts.c"
			PostlerAccountInfo* _tmp129_;
			gint _tmp130_;
#line 546 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp129_ = info;
#line 546 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp130_ = _tmp129_->send_port;
#line 546 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp126_ = _tmp130_;
#line 5546 "postler-accounts.c"
		} else {
#line 546 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp126_ = 25;
#line 5550 "postler-accounts.c"
		}
#line 523 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp131_ = tls_options;
#line 523 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp132_ = info;
#line 523 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp133_ = _tmp132_->address;
#line 523 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp135_ = _tmp134_ = g_strsplit (_tmp133_, ",", 0);
#line 523 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp136_ = _tmp135_;
#line 523 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp136__length1 = _vala_array_length (_tmp134_);
#line 523 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp137_ = _tmp136_[0];
#line 523 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp139_ = _tmp138_ = g_strsplit (_tmp137_, "@", 0);
#line 523 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp140_ = _tmp139_;
#line 523 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp140__length1 = _vala_array_length (_tmp138_);
#line 523 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp141_ = _tmp140_[1];
#line 523 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp142_ = info;
#line 523 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp143_ = _tmp142_->send;
#line 523 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp144_ = info;
#line 523 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp145_ = _tmp144_->address;
#line 523 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp147_ = _tmp146_ = g_strsplit (_tmp145_, ",", 0);
#line 523 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp148_ = _tmp147_;
#line 523 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp148__length1 = _vala_array_length (_tmp146_);
#line 523 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp149_ = _tmp148_[0];
#line 523 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp150_ = info;
#line 523 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp151_ = _tmp150_->username;
#line 523 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp152_ = info;
#line 523 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp153_ = _tmp152_->password;
#line 523 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp154_ = _tmp126_;
#line 523 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp155_ = g_strdup_printf ("\n" \
"                defaults\n" \
"                auth on\n" \
"                tls on\n" \
"                %s\n" \
"                auto_from on\n" \
"                maildomain %s\n" \
"                account postler\n" \
"                host %s\n" \
"                from %s\n" \
"                user %s\n" \
"                password %s\n" \
"                port %d\n" \
"                timeout 90\n" \
"                account default : postler\n" \
"                ", _tmp131_, _tmp141_, _tmp143_, _tmp149_, _tmp151_, _tmp153_, _tmp154_);
#line 523 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp156_ = _tmp155_;
#line 523 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp148_ = (_vala_array_free (_tmp148_, _tmp148__length1, (GDestroyNotify) g_free), NULL);
#line 523 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp140_ = (_vala_array_free (_tmp140_, _tmp140__length1, (GDestroyNotify) g_free), NULL);
#line 523 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp136_ = (_vala_array_free (_tmp136_, _tmp136__length1, (GDestroyNotify) g_free), NULL);
#line 523 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		msmtprc = _tmp156_;
#line 548 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp157_ = filename;
#line 548 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp158_ = msmtprc;
#line 548 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		g_file_set_contents (_tmp157_, _tmp158_, (gssize) (-1), &_inner_error_);
#line 548 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		if (_inner_error_ != NULL) {
#line 548 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			if (_inner_error_->domain == G_FILE_ERROR) {
#line 548 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				g_propagate_error (error, _inner_error_);
#line 548 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_g_free0 (msmtprc);
#line 548 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_g_free0 (tls_options);
#line 548 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_g_free0 (hidden_folders);
#line 548 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				hidden_tmp = (_vala_array_free (hidden_tmp, hidden_tmp_length1, (GDestroyNotify) g_free), NULL);
#line 548 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_g_free0 (certificate);
#line 548 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_g_free0 (filename);
#line 548 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				return NULL;
#line 5638 "postler-accounts.c"
			} else {
#line 548 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_g_free0 (msmtprc);
#line 548 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_g_free0 (tls_options);
#line 548 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_g_free0 (hidden_folders);
#line 548 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				hidden_tmp = (_vala_array_free (hidden_tmp, hidden_tmp_length1, (GDestroyNotify) g_free), NULL);
#line 548 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_g_free0 (certificate);
#line 548 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_g_free0 (filename);
#line 548 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 548 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				g_clear_error (&_inner_error_);
#line 548 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				return NULL;
#line 5658 "postler-accounts.c"
			}
		}
#line 549 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp159_ = filename;
#line 549 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		g_chmod (_tmp159_, 0600);
#line 550 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		result = filename;
#line 550 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_g_free0 (msmtprc);
#line 550 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_g_free0 (tls_options);
#line 550 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_g_free0 (hidden_folders);
#line 550 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		hidden_tmp = (_vala_array_free (hidden_tmp, hidden_tmp_length1, (GDestroyNotify) g_free), NULL);
#line 550 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_g_free0 (certificate);
#line 550 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		return result;
#line 5679 "postler-accounts.c"
	}
#line 553 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp160_ = info;
#line 553 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp161_ = _tmp160_->type;
#line 553 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	switch (_tmp161_) {
#line 553 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		case POSTLER_ACCOUNT_TYPE_IMAP:
#line 5689 "postler-accounts.c"
		{
			gchar* _tmp162_ = NULL;
			PostlerAccountInfo* _tmp163_;
			const gchar* _tmp164_;
			const gchar* _tmp169_ = NULL;
			const gchar* _tmp170_;
			const gchar* _tmp171_ = NULL;
			const gchar* _tmp172_;
			PostlerAccountInfo* _tmp174_;
			const gchar* _tmp175_;
			PostlerAccountInfo* _tmp176_;
			const gchar* _tmp177_;
			PostlerAccountInfo* _tmp178_;
			const gchar* _tmp179_;
			const gchar* _tmp180_;
			const gchar* _tmp181_;
			const gchar* _tmp182_;
			const gchar* _tmp183_;
			PostlerAccountInfo* _tmp184_;
			const gchar* _tmp185_;
			PostlerAccountInfo* _tmp186_;
			const gchar* _tmp187_;
			const gchar* _tmp188_;
			gchar* _tmp189_ = NULL;
			gchar* mbsyncrc;
			const gchar* _tmp190_;
			const gchar* _tmp191_;
			const gchar* _tmp192_;
#line 588 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp163_ = info;
#line 588 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp164_ = _tmp163_->prefix;
#line 588 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			if (_tmp164_ != NULL) {
#line 5724 "postler-accounts.c"
				PostlerAccountInfo* _tmp165_;
				const gchar* _tmp166_;
				gchar* _tmp167_;
#line 588 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp165_ = info;
#line 588 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp166_ = _tmp165_->prefix;
#line 588 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp167_ = g_strconcat (_tmp166_, ".", NULL);
#line 588 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_g_free0 (_tmp162_);
#line 588 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp162_ = _tmp167_;
#line 5738 "postler-accounts.c"
			} else {
				gchar* _tmp168_;
#line 588 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp168_ = g_strdup ("");
#line 588 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_g_free0 (_tmp162_);
#line 588 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp162_ = _tmp168_;
#line 5747 "postler-accounts.c"
			}
#line 590 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp170_ = certificate;
#line 590 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			if (_tmp170_ != NULL) {
#line 590 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp169_ = "CertificateFile";
#line 5755 "postler-accounts.c"
			} else {
#line 590 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp169_ = "";
#line 5759 "postler-accounts.c"
			}
#line 591 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp172_ = certificate;
#line 591 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			if (_tmp172_ != NULL) {
#line 5765 "postler-accounts.c"
				const gchar* _tmp173_;
#line 591 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp173_ = certificate;
#line 591 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp171_ = _tmp173_;
#line 5771 "postler-accounts.c"
			} else {
#line 591 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_tmp171_ = "";
#line 5775 "postler-accounts.c"
			}
#line 555 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp174_ = info;
#line 555 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp175_ = _tmp174_->receive;
#line 555 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp176_ = info;
#line 555 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp177_ = _tmp176_->username;
#line 555 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp178_ = info;
#line 555 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp179_ = _tmp178_->password;
#line 555 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp180_ = _tmp162_;
#line 555 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp181_ = self->priv->certificate_file;
#line 555 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp182_ = _tmp169_;
#line 555 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp183_ = _tmp171_;
#line 555 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp184_ = info;
#line 555 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp185_ = _tmp184_->path;
#line 555 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp186_ = info;
#line 555 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp187_ = _tmp186_->path;
#line 555 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp188_ = hidden_folders;
#line 555 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp189_ = g_strdup_printf ("\n" \
"               Sync Pull\n" \
"               Create Slave\n" \
"               SyncState *\n" \
"\n" \
"               IMAPStore remote\n" \
"                   Host %s\n" \
"                   User %s\n" \
"                   Pass \"%s\"\n" \
"                   Path \"%s\"\n" \
"                   UseIMAPS yes\n" \
"                   CertificateFile %s\n" \
"                   %s %s\n" \
"\n" \
"               MaildirStore local\n" \
"                   Path %s/\n" \
"                   Inbox %s/INBOX\n" \
"\n" \
"               Channel local-remote\n" \
"                   Master :remote:\n" \
"                   Slave :local:\n" \
"                   Patterns %% * !INBOX.*\n" \
"                   Patterns %% %s\n" \
"                   MaxMessages 500\n" \
"\n" \
"               Group mirror\n" \
"                   Channel local-remote:INBOX\n" \
"                   Channel local-remote\n" \
"               ", _tmp175_, _tmp177_, _tmp179_, _tmp180_, _tmp181_, _tmp182_, _tmp183_, _tmp185_, _tmp187_, _tmp188_);
#line 555 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			mbsyncrc = _tmp189_;
#line 596 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp190_ = filename;
#line 596 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp191_ = mbsyncrc;
#line 596 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			g_file_set_contents (_tmp190_, _tmp191_, (gssize) (-1), &_inner_error_);
#line 596 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			if (_inner_error_ != NULL) {
#line 596 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				if (_inner_error_->domain == G_FILE_ERROR) {
#line 596 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					g_propagate_error (error, _inner_error_);
#line 596 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_g_free0 (mbsyncrc);
#line 596 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_g_free0 (_tmp162_);
#line 596 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_g_free0 (hidden_folders);
#line 596 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					hidden_tmp = (_vala_array_free (hidden_tmp, hidden_tmp_length1, (GDestroyNotify) g_free), NULL);
#line 596 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_g_free0 (certificate);
#line 596 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_g_free0 (filename);
#line 596 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					return NULL;
#line 5837 "postler-accounts.c"
				} else {
#line 596 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_g_free0 (mbsyncrc);
#line 596 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_g_free0 (_tmp162_);
#line 596 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_g_free0 (hidden_folders);
#line 596 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					hidden_tmp = (_vala_array_free (hidden_tmp, hidden_tmp_length1, (GDestroyNotify) g_free), NULL);
#line 596 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_g_free0 (certificate);
#line 596 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					_g_free0 (filename);
#line 596 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 596 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					g_clear_error (&_inner_error_);
#line 596 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
					return NULL;
#line 5857 "postler-accounts.c"
				}
			}
#line 597 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp192_ = filename;
#line 597 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			g_chmod (_tmp192_, 0700);
#line 598 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_g_free0 (mbsyncrc);
#line 598 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_g_free0 (_tmp162_);
#line 598 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			break;
#line 5870 "postler-accounts.c"
		}
#line 553 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		case POSTLER_ACCOUNT_TYPE_MAILDIR:
#line 553 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		case POSTLER_ACCOUNT_TYPE_SEARCH:
#line 5876 "postler-accounts.c"
		{
			const gchar* _tmp193_ = NULL;
			PostlerAccountInfo* _tmp194_;
			const gchar* _tmp195_;
			GError* _tmp196_;
#line 601 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp193_ = _ ("Account \"%s\" can't receive mail.");
#line 601 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp194_ = info;
#line 601 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp195_ = _tmp194_->name;
#line 601 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp196_ = g_error_new (G_FILE_ERROR, G_FILE_ERROR_FAILED, _tmp193_, _tmp195_);
#line 601 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_inner_error_ = _tmp196_;
#line 601 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			if (_inner_error_->domain == G_FILE_ERROR) {
#line 601 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				g_propagate_error (error, _inner_error_);
#line 601 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_g_free0 (hidden_folders);
#line 601 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				hidden_tmp = (_vala_array_free (hidden_tmp, hidden_tmp_length1, (GDestroyNotify) g_free), NULL);
#line 601 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_g_free0 (certificate);
#line 601 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_g_free0 (filename);
#line 601 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				return NULL;
#line 5906 "postler-accounts.c"
			} else {
#line 601 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_g_free0 (hidden_folders);
#line 601 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				hidden_tmp = (_vala_array_free (hidden_tmp, hidden_tmp_length1, (GDestroyNotify) g_free), NULL);
#line 601 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_g_free0 (certificate);
#line 601 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_g_free0 (filename);
#line 601 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 601 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				g_clear_error (&_inner_error_);
#line 601 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				return NULL;
#line 5922 "postler-accounts.c"
			}
		}
		default:
#line 553 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		break;
#line 5928 "postler-accounts.c"
	}
#line 604 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	result = filename;
#line 604 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_free0 (hidden_folders);
#line 604 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	hidden_tmp = (_vala_array_free (hidden_tmp, hidden_tmp_length1, (GDestroyNotify) g_free), NULL);
#line 604 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_free0 (certificate);
#line 604 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	return result;
#line 5940 "postler-accounts.c"
}


gchar* postler_accounts_get_receive_command (PostlerAccounts* self, PostlerAccountInfo* info, GError** error) {
	gchar* result = NULL;
	gchar* command = NULL;
	PostlerAccountInfo* _tmp0_;
	PostlerAccountType _tmp1_;
	PostlerAccountInfo* _tmp16_;
	const gchar* _tmp17_;
	gint _tmp18_ = 0;
	GError * _inner_error_ = NULL;
#line 607 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 607 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	g_return_val_if_fail (info != NULL, NULL);
#line 610 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp0_ = info;
#line 610 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp1_ = _tmp0_->type;
#line 610 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	if (_tmp1_ == POSTLER_ACCOUNT_TYPE_IMAP) {
#line 5963 "postler-accounts.c"
		const gchar* _tmp2_ = NULL;
		const gchar* mbsync;
		gboolean _tmp3_ = FALSE;
		const gchar* _tmp4_;
		gboolean _tmp6_;
		PostlerAccountInfo* _tmp7_;
		gchar* _tmp8_ = NULL;
		gchar* filename;
		const gchar* _tmp9_;
		const gchar* _tmp10_;
		gchar* _tmp11_ = NULL;
#line 611 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp2_ = g_getenv ("POSTLER_MBSYNC");
#line 611 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		mbsync = _tmp2_;
#line 612 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp4_ = mbsync;
#line 612 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		if (_tmp4_ == NULL) {
#line 612 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp3_ = TRUE;
#line 5985 "postler-accounts.c"
		} else {
			const gchar* _tmp5_;
#line 612 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp5_ = mbsync;
#line 612 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp3_ = g_strcmp0 (_tmp5_, "") == 0;
#line 5992 "postler-accounts.c"
		}
#line 612 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp6_ = _tmp3_;
#line 612 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		if (_tmp6_) {
#line 613 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			mbsync = "postler-mbsync";
#line 6000 "postler-accounts.c"
		}
#line 614 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp7_ = info;
#line 614 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp8_ = postler_accounts_get_tool_configuration (self, NULL, _tmp7_, &_inner_error_);
#line 614 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		filename = _tmp8_;
#line 614 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		if (_inner_error_ != NULL) {
#line 614 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			if (_inner_error_->domain == G_FILE_ERROR) {
#line 614 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				g_propagate_error (error, _inner_error_);
#line 614 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_g_free0 (command);
#line 614 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				return NULL;
#line 6018 "postler-accounts.c"
			} else {
#line 614 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_g_free0 (command);
#line 614 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 614 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				g_clear_error (&_inner_error_);
#line 614 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				return NULL;
#line 6028 "postler-accounts.c"
			}
		}
#line 615 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp9_ = mbsync;
#line 615 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp10_ = filename;
#line 615 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp11_ = g_strdup_printf ("%s -c %s --pull%s mirror", _tmp9_, _tmp10_, " --push --expunge");
#line 615 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_g_free0 (command);
#line 615 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		command = _tmp11_;
#line 610 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_g_free0 (filename);
#line 6043 "postler-accounts.c"
	} else {
		const gchar* _tmp12_ = NULL;
		PostlerAccountInfo* _tmp13_;
		const gchar* _tmp14_;
		GError* _tmp15_;
#line 619 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp12_ = _ ("Account \"%s\" can't receive mail.");
#line 619 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp13_ = info;
#line 619 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp14_ = _tmp13_->name;
#line 619 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp15_ = g_error_new (G_FILE_ERROR, G_FILE_ERROR_FAILED, _tmp12_, _tmp14_);
#line 619 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_inner_error_ = _tmp15_;
#line 619 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		if (_inner_error_->domain == G_FILE_ERROR) {
#line 619 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			g_propagate_error (error, _inner_error_);
#line 619 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_g_free0 (command);
#line 619 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			return NULL;
#line 6067 "postler-accounts.c"
		} else {
#line 619 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_g_free0 (command);
#line 619 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 619 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			g_clear_error (&_inner_error_);
#line 619 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			return NULL;
#line 6077 "postler-accounts.c"
		}
	}
#line 622 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp16_ = info;
#line 622 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp17_ = _tmp16_->path;
#line 622 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp18_ = g_mkdir_with_parents (_tmp17_, 0700);
#line 622 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	if (_tmp18_ != 0) {
#line 6088 "postler-accounts.c"
		const gchar* _tmp19_ = NULL;
		GError* _tmp20_;
#line 623 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp19_ = _ ("Mail folder couldn't be created.");
#line 623 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp20_ = g_error_new_literal (G_FILE_ERROR, G_FILE_ERROR_FAILED, _tmp19_);
#line 623 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_inner_error_ = _tmp20_;
#line 623 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		if (_inner_error_->domain == G_FILE_ERROR) {
#line 623 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			g_propagate_error (error, _inner_error_);
#line 623 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_g_free0 (command);
#line 623 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			return NULL;
#line 6105 "postler-accounts.c"
		} else {
#line 623 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_g_free0 (command);
#line 623 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 623 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			g_clear_error (&_inner_error_);
#line 623 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			return NULL;
#line 6115 "postler-accounts.c"
		}
	}
#line 624 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	result = command;
#line 624 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	return result;
#line 6122 "postler-accounts.c"
}


gchar* postler_accounts_get_fetch_command (PostlerAccounts* self, PostlerAccountInfo* info, GError** error) {
	gchar* result = NULL;
	gchar* command = NULL;
	PostlerAccountInfo* _tmp0_;
	PostlerAccountType _tmp1_;
	PostlerAccountInfo* _tmp16_;
	const gchar* _tmp17_;
	gint _tmp18_ = 0;
	GError * _inner_error_ = NULL;
#line 627 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 627 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	g_return_val_if_fail (info != NULL, NULL);
#line 630 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp0_ = info;
#line 630 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp1_ = _tmp0_->type;
#line 630 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	if (_tmp1_ == POSTLER_ACCOUNT_TYPE_IMAP) {
#line 6145 "postler-accounts.c"
		const gchar* _tmp2_ = NULL;
		const gchar* mbsync;
		gboolean _tmp3_ = FALSE;
		const gchar* _tmp4_;
		gboolean _tmp6_;
		PostlerAccountInfo* _tmp7_;
		gchar* _tmp8_ = NULL;
		gchar* filename;
		const gchar* _tmp9_;
		const gchar* _tmp10_;
		gchar* _tmp11_ = NULL;
#line 631 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp2_ = g_getenv ("POSTLER_MBSYNC");
#line 631 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		mbsync = _tmp2_;
#line 632 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp4_ = mbsync;
#line 632 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		if (_tmp4_ == NULL) {
#line 632 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp3_ = TRUE;
#line 6167 "postler-accounts.c"
		} else {
			const gchar* _tmp5_;
#line 632 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp5_ = mbsync;
#line 632 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_tmp3_ = g_strcmp0 (_tmp5_, "") == 0;
#line 6174 "postler-accounts.c"
		}
#line 632 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp6_ = _tmp3_;
#line 632 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		if (_tmp6_) {
#line 633 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			mbsync = "postler-mbsync";
#line 6182 "postler-accounts.c"
		}
#line 634 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp7_ = info;
#line 634 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp8_ = postler_accounts_get_tool_configuration (self, NULL, _tmp7_, &_inner_error_);
#line 634 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		filename = _tmp8_;
#line 634 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		if (_inner_error_ != NULL) {
#line 634 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			if (_inner_error_->domain == G_FILE_ERROR) {
#line 634 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				g_propagate_error (error, _inner_error_);
#line 634 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_g_free0 (command);
#line 634 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				return NULL;
#line 6200 "postler-accounts.c"
			} else {
#line 634 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				_g_free0 (command);
#line 634 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 634 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				g_clear_error (&_inner_error_);
#line 634 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
				return NULL;
#line 6210 "postler-accounts.c"
			}
		}
#line 635 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp9_ = mbsync;
#line 635 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp10_ = filename;
#line 635 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp11_ = g_strdup_printf ("%s --list -c %s mirror", _tmp9_, _tmp10_);
#line 635 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_g_free0 (command);
#line 635 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		command = _tmp11_;
#line 630 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_g_free0 (filename);
#line 6225 "postler-accounts.c"
	} else {
		const gchar* _tmp12_ = NULL;
		PostlerAccountInfo* _tmp13_;
		const gchar* _tmp14_;
		GError* _tmp15_;
#line 639 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp12_ = _ ("Account \"%s\" can't receive mail.");
#line 639 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp13_ = info;
#line 639 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp14_ = _tmp13_->name;
#line 639 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp15_ = g_error_new (G_FILE_ERROR, G_FILE_ERROR_FAILED, _tmp12_, _tmp14_);
#line 639 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_inner_error_ = _tmp15_;
#line 639 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		if (_inner_error_->domain == G_FILE_ERROR) {
#line 639 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			g_propagate_error (error, _inner_error_);
#line 639 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_g_free0 (command);
#line 639 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			return NULL;
#line 6249 "postler-accounts.c"
		} else {
#line 639 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_g_free0 (command);
#line 639 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 639 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			g_clear_error (&_inner_error_);
#line 639 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			return NULL;
#line 6259 "postler-accounts.c"
		}
	}
#line 642 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp16_ = info;
#line 642 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp17_ = _tmp16_->path;
#line 642 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp18_ = g_mkdir_with_parents (_tmp17_, 0700);
#line 642 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	if (_tmp18_ != 0) {
#line 6270 "postler-accounts.c"
		const gchar* _tmp19_ = NULL;
		GError* _tmp20_;
#line 643 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp19_ = _ ("Mail folder couldn't be created.");
#line 643 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp20_ = g_error_new_literal (G_FILE_ERROR, G_FILE_ERROR_FAILED, _tmp19_);
#line 643 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_inner_error_ = _tmp20_;
#line 643 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		if (_inner_error_->domain == G_FILE_ERROR) {
#line 643 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			g_propagate_error (error, _inner_error_);
#line 643 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_g_free0 (command);
#line 643 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			return NULL;
#line 6287 "postler-accounts.c"
		} else {
#line 643 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			_g_free0 (command);
#line 643 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 643 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			g_clear_error (&_inner_error_);
#line 643 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			return NULL;
#line 6297 "postler-accounts.c"
		}
	}
#line 644 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	result = command;
#line 644 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	return result;
#line 6304 "postler-accounts.c"
}


gchar* postler_accounts_get_send_command (PostlerAccounts* self, PostlerAccountInfo* info, const gchar* send, GError** error) {
	gchar* result = NULL;
	const gchar* _tmp0_;
	PostlerAccountInfo* _tmp1_;
	gchar* _tmp2_ = NULL;
	gchar* filename;
	const gchar* _tmp3_ = NULL;
	const gchar* _tmp4_;
	gchar* _tmp5_ = NULL;
	gchar* command;
	GError * _inner_error_ = NULL;
#line 647 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 647 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	g_return_val_if_fail (info != NULL, NULL);
#line 647 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	g_return_val_if_fail (send != NULL, NULL);
#line 648 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp0_ = send;
#line 648 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp1_ = info;
#line 648 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp2_ = postler_accounts_get_tool_configuration (self, _tmp0_, _tmp1_, &_inner_error_);
#line 648 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	filename = _tmp2_;
#line 648 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	if (_inner_error_ != NULL) {
#line 648 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		if (_inner_error_->domain == G_FILE_ERROR) {
#line 648 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			g_propagate_error (error, _inner_error_);
#line 648 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			return NULL;
#line 6341 "postler-accounts.c"
		} else {
#line 648 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 648 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			g_clear_error (&_inner_error_);
#line 648 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
			return NULL;
#line 6349 "postler-accounts.c"
		}
	}
#line 649 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp3_ = g_getenv ("SHELL");
#line 649 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp4_ = send;
#line 649 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp5_ = g_strdup_printf ("%s -c 'cat \"%s\" | msmtp -C %s -t'", _tmp3_, _tmp4_, filename);
#line 649 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	command = _tmp5_;
#line 651 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	result = command;
#line 651 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_free0 (filename);
#line 651 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	return result;
#line 6366 "postler-accounts.c"
}


static void postler_accounts_real_add_info (PostlerAccounts* self, PostlerAccountInfo* info) {
	PostlerAccountInfo* _tmp0_;
	PostlerAccountType _tmp1_;
	PostlerAccountInfo* _tmp7_;
	PostlerAccountInfo* _tmp8_;
#line 434 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	g_return_if_fail (info != NULL);
#line 435 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp0_ = info;
#line 435 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp1_ = _tmp0_->type;
#line 435 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	if (_tmp1_ == POSTLER_ACCOUNT_TYPE_IMAP) {
#line 6383 "postler-accounts.c"
		PostlerAccountInfo* _tmp2_;
		const gchar* _tmp3_;
		PostlerAccountInfo* _tmp4_;
		const gchar* _tmp5_;
		gchar* _tmp6_;
#line 436 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp2_ = info;
#line 436 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp3_ = self->priv->data_path;
#line 436 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp4_ = info;
#line 436 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp5_ = _tmp4_->name;
#line 436 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp6_ = g_strconcat (_tmp3_, _tmp5_, NULL);
#line 436 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_g_free0 (_tmp2_->path);
#line 436 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
		_tmp2_->path = _tmp6_;
#line 6403 "postler-accounts.c"
	}
#line 437 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp7_ = info;
#line 437 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp8_ = _g_object_ref0 (_tmp7_);
#line 437 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	self->priv->infos = g_list_append (self->priv->infos, _tmp8_);
#line 438 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	postler_accounts_update (self);
#line 6413 "postler-accounts.c"
}


static void postler_accounts_real_remove_info (PostlerAccounts* self, PostlerAccountInfo* info) {
	PostlerAccountInfo* _tmp0_;
	PostlerAccountInfo* _tmp1_;
#line 441 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	g_return_if_fail (info != NULL);
#line 442 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp0_ = info;
#line 442 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	self->priv->infos = g_list_remove (self->priv->infos, _tmp0_);
#line 443 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_tmp1_ = info;
#line 443 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	postler_accounts_delete_account (self, _tmp1_);
#line 6430 "postler-accounts.c"
}


static void postler_accounts_class_init (PostlerAccountsClass * klass) {
#line 145 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	postler_accounts_parent_class = g_type_class_peek_parent (klass);
#line 145 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	g_type_class_add_private (klass, sizeof (PostlerAccountsPrivate));
#line 145 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	POSTLER_ACCOUNTS_CLASS (klass)->add_info = postler_accounts_real_add_info;
#line 145 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	POSTLER_ACCOUNTS_CLASS (klass)->remove_info = postler_accounts_real_remove_info;
#line 145 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	G_OBJECT_CLASS (klass)->finalize = postler_accounts_finalize;
#line 145 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	g_signal_new ("add_info", POSTLER_TYPE_ACCOUNTS, G_SIGNAL_RUN_LAST, G_STRUCT_OFFSET (PostlerAccountsClass, add_info), NULL, NULL, g_cclosure_marshal_VOID__OBJECT, G_TYPE_NONE, 1, POSTLER_TYPE_ACCOUNT_INFO);
#line 145 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	g_signal_new ("remove_info", POSTLER_TYPE_ACCOUNTS, G_SIGNAL_RUN_LAST, G_STRUCT_OFFSET (PostlerAccountsClass, remove_info), NULL, NULL, g_cclosure_marshal_VOID__OBJECT, G_TYPE_NONE, 1, POSTLER_TYPE_ACCOUNT_INFO);
#line 6449 "postler-accounts.c"
}


static void postler_accounts_instance_init (PostlerAccounts * self) {
#line 145 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	self->priv = POSTLER_ACCOUNTS_GET_PRIVATE (self);
#line 6456 "postler-accounts.c"
}


static void postler_accounts_finalize (GObject* obj) {
	PostlerAccounts * self;
#line 145 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	self = POSTLER_ACCOUNTS (obj);
#line 146 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_free0 (self->priv->config_path);
#line 147 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_free0 (self->priv->account_file);
#line 148 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_free0 (self->priv->data_path);
#line 149 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_free0 (self->priv->certificate_file);
#line 150 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	_g_key_file_free0 (self->priv->keyfile);
#line 151 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	__g_list_free__g_object_unref0_0 (self->priv->infos);
#line 145 "/builddir/build/BUILD/postler-0.1.1/postler/postler-accounts.vala"
	G_OBJECT_CLASS (postler_accounts_parent_class)->finalize (obj);
#line 6478 "postler-accounts.c"
}


GType postler_accounts_get_type (void) {
	static volatile gsize postler_accounts_type_id__volatile = 0;
	if (g_once_init_enter (&postler_accounts_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (PostlerAccountsClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) postler_accounts_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (PostlerAccounts), 0, (GInstanceInitFunc) postler_accounts_instance_init, NULL };
		GType postler_accounts_type_id;
		postler_accounts_type_id = g_type_register_static (G_TYPE_OBJECT, "PostlerAccounts", &g_define_type_info, 0);
		g_once_init_leave (&postler_accounts_type_id__volatile, postler_accounts_type_id);
	}
	return postler_accounts_type_id__volatile;
}


static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}


static gint _vala_array_length (gpointer array) {
	int length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}



